<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$table = "hlo_asema";
$file = "hlo_asema.php";

include "common.php";
include "hlo_asema-ok.php";

echo "
<html>
<head>
 <title>VIHA - Henkiln asemakoodit</title>
</head>
" . body_bgcolor() . "
<h1>Henkiln asemakoodien ksittely</h1>
";

hallinnolliset_linkit();

$id = get_nro_0('id');
$hlo_asema = get_txt('hlo_asema');
$pri = get_nro('pri');
if ($pri == "") { $pri = 1000; }
$suojattu = get_nro('suojattu');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

if (($add != '') && saa_tehda("$file:add")) {
  $ret = hlo_asema_add_ok($herja,$hlo_asema,$pri);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "INSERT INTO hlo_asema
       VALUES (0, '$hlo_asema', 0, $pri, '$now')";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot listty.\n";
    $clear = "SISINEN";
    loki("$sql id=" . last_insert_id());
  }
  p_herja($ret,$herja);
 }

if (($save != '') && saa_tehda("$file:save")) {
  $ret = hlo_asema_save_ok($herja,$id,$hlo_asema,$pri);
  $clear = "SAVE";
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "UPDATE hlo_asema
       SET hlo_asema='$hlo_asema', pri=$pri, ts='$now'
       WHERE id=$id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot pivitetty.\n";
    $clear = "SISINEN";
    loki($sql);
  }
  p_herja($ret,$herja);
 }

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = hlo_asema_remove_ok($herja,$id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "DELETE FROM hlo_asema WHERE id = $id";
    my_mysql_query ($sql,true,true);
    # silently update the man-hour table as well
    $sql =
      "UPDATE hlo_ajat
       SET variable_id = 5
       WHERE variable_id = $id AND hlo_ajat_tyyppi_id = 6";
    my_mysql_query ($sql,true,true);
    echo "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
  }
  p_herja($ret,$herja);
}

if ($clear != '') {
  $id = "0";
  $hlo_asema = '';
  $pri = "1000";
}

# readonly tells if the fields are readonly. if not, they are editable.
if ($remove != '') { $readonly = 1; } else { $readonly = 0; }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = hlo_asema_remove_ok($herja,$id);
  if ($ret != 2) {
    $removable = 1;
  }
  p_herja($ret,$herja);
 }

echo "<form action=\"\" method=\"GET\">\n";
echo "<p><table border=0>\n";

if ($id != "0") {
  $result = my_mysql_query("SELECT * FROM hlo_asema WHERE id = $id");
  $a = mysql_fetch_array($result);
  $hlo_asema = $a['hlo_asema'];
  $pri = $a['pri'];
  $suojattu = $a['suojattu'];
  if ($suojattu) { $readonly = 1; }
}

echo "<tr><td>Id:";
if ($id == "0") {
  echo "<td>(tehdn uusi)\n";
} else {
  echo "<td>$id\n";
}
echo "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
echo " value=\"$id\">\n";

echo "<tr><td>Asemakoodi:";
if ($readonly) {
  echo "<td>$hlo_asema\n";
} else {
  echo "<td><input type=\"text\" name=\"hlo_asema\" size=64 maxlength=64";
  echo " value=\"$hlo_asema\">\n";
}

echo "<tr><td>Prioriteetti:";
if ($readonly) {
  echo "<td>$pri\n";
} else {
  echo "<td><input type=\"text\" name=\"pri\" size=8 maxlength=8";
  echo " value=\"$pri\"> (pienempi luku tarkoittaa arvokkaampaa)\n";
}

echo "</table>\n";

if ($change != "") {
  echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} else {
  echo "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$result = my_mysql_query("SELECT * FROM hlo_asema ORDER BY pri");
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  echo tr_bgcolor()
    . "<TH>Id<TH>Aikaleima<TH>Asemakoodi<TH>Prioriteetti\n";
  while ($a = mysql_fetch_array($result)) {
    echo "<TR><TD>$a[id]",
      "<TD>$a[ts]",
      "<TD>$a[hlo_asema]",
      "<TD>$a[pri]";
    if (($id == "0") && ($a['id'] != "1")) {
      if ($a['suojattu'] == 0) {
	echo "<td><a href=\"hlo_asema.php?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
	echo "<td><a href=\"hlo_asema.php?id=$a[id]&remove=POISTA\">POISTA</a>\n";
      }
    }
  }
  echo "</TABLE>";
}

echo "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: hlo_asema.php,v 1.14 2009/06/12 09:41:51 riku Exp $ -->
