<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

include "common.php";

echo "
<html>
<head>
 <title>ViHa V$viha_versio - $config_main_title</title>
</head>
" . body_bgcolor() . "
";

echo "<h1>$config_main_h1</h1>\n";

if ($config_main_motd != "")
  echo "<p>$config_main_motd\n";

echo "
<h2>Tilanteen seuranta</h2>
<ul>
<li><a href=\"tilanne.php\">Yleistilanne</a> (automaattisesti pivittyv).
<li><a href=\"tilanne-taysi.php\">
  Laaja tilanne: ryhmt, miehitykset ja kirjaukset</a>
<li><a href=\"tilanne-kalusto.php\">
  Laaja tilanne: kalusto</a>
<li><a href=\"lapset-taysi.php\">
  Laaja tilanne: kadonneet ja lytyneet henkilt</a>
<li><a href=\"taktinen-loki.php\">Tapahtumapivkirja</a>
<li><a href=\"tyotunnit.php\">Tytunnit</a>
</ul>
";

echo "
<h2>Rutiinipivitykset</h2>
<ul>
<li><a href=\"ryhma-takt.php\">Ryhmn pivitys</a>
  (sijainti, tila, tapahtumakirjaus ryhmlle)
<li><a href=\"hlo-takt.php\">Henkiln pivitys</a> (ryhm, tila, asema)
<li><a href=\"tap-takt.php\">Vapaamuotoinen tapahtumakirjaus</a>
<li><a href=\"hlo-oper.php\">Operaation miehittminen</a>
<li><a href=\"jarjesto-takt.php\">Jrjestjen hlytysryhmt</a>
<li><a href=\"laite-oper.php\">Operaation varustaminen</a>
<li><a href=\"kalusto-takt.php\">Ryhmien varustaminen</a>
</ul>
";

echo "
<h2>Kadonneet ja lytyneet henkilt</h2>
<ul>
<li><a href=\"kadonnut.php\">Kateissa olevat henkilt</a>
<li><a href=\"loytynyt.php\">Lytyneet henkilt</a>
</ul>
";

echo "
<h2>Hallinnolliset pivitykset ja selailu</h2>
<ul>
<li><a href=\"tap.php\">Tapahtumien kirjaus ja selailu</a>
<li><a href=\"hlo.php\">Henkilkohtaisten tietojen ksittely</a>
<li><a href=\"ryhma.php\">Ryhmkohtaisten tietojen ksittely</a>
<li><a href=\"verkko.php\">Radioverkot</a>
<li><a href=\"jarjesto.php\">Jrjestt</a>
<li><a href=\"laite.php\">Viestivlineet</a>
<li><a href=\"tavara.php\">Muu kalusto</a>
</ul>
";

  echo "
<h2>Operaatiot ja kyttoikeustiedot</h2>
<ul>
<li><a href=\"paivystys-takt.php\">Operaation perustiedot</a>
";
if ($operations > 1) {
echo "
<li><a href=\"paivystys-valinta.php\">Operaation valinta</a>
<li><a href=\"paivystys-loppu.php\">Operaation lopettaminen</a>
";
}
if ($userlevel_no > 15) {
  echo "
<li><a href=\"paivystys.php\">Operaatiot</a>
";
}
if ($userlevel_no > 25) {
  echo "
<li><a href=\"kayttajat.php\">Kyttoikeustiedot</a>
";
}
echo "
<li><a href=\"salasana.php\">Salasanan vaihto</a>
<li><a href=\"logoff.php\">Kirjaudu ulos</a>
</ul>
";

echo "
<h2>Guruille</h2>
<ul>
<li><a href=\"tarkasta-kanta.php\">Tietokannan tarkastus</a>
<li><a href=\"hlo_tila.php\">Henkiln tilakoodit</a>
<li><a href=\"hlo_asema.php\">Henkiln asemakoodit</a>
<li><a href=\"ryhma_tila.php\">Ryhmn tilakoodit</a>
<li><a href=\"paikka.php\">Sijaintikoodit (paikat)</a>
<li><a href=\"laite_tyyppi.php\">Viestivlineiden tyyppikoodit</a>
<li><a href=\"tavara_tyyppi.php\">Muun kaluston tyyppikoodit</a>
";
if ($operations > 1) {
  echo "
<li><a href=\"tilanne0.php\">
  Kaikkien operaatioiden yleistilanne</a> (automaattisesti pivittyv).
<li><a href=\"hlo0.php\">
  Henkilkohtaisten tietojen ksittely ja henkiliden siirrot</a>
<li><a href=\"ryhma0.php\">
  Ryhmkohtaisten tietojen ksittely ja ryhmien siirrot</a>
<li><a href=\"kadonnut0.php\">Kateissa olevien henkiliden siirrot</a>
<li><a href=\"loytynyt0.php\">Lytyneiden henkiliden siirrot</a>
<li><a href=\"tap0.php\">Tapahtumakirjauksen ksittely ja siirrot</a>
<li><a href=\"hlo_tila0.php\">Henkiliden tilakoodien ksittely ja siirrot</a>
<li><a href=\"ryhma_tila0.php\">Ryhmien tilakoodien ksittely ja siirrot</a>
<li><a href=\"paikka0.php\">Sijaintikoodien ksittely ja siirrot</a>
<li><a href=\"laite0.php\">Viestivlineiden ksittely ja siirrot</a>
<li><a href=\"tavara0.php\">Muun kaluston ksittely ja siirrot</a>
";
}
if ($userlevel_no > 25) {
  echo "
<li><a href=\"hlo_ajat0.php\">Tyaikojen ksittely ja siirrot</a>
<li><a href=\"alue.php\">Alueet</a>
<li><a href=\"tekninen-loki.php\">Tekninen loki</a>
";
}
echo "
</ul>
";

echo "
<h2>ViHa - ohjeita ja muita ohjelmistoon liittyvi dokumentteja</h2>
<ul>
<li><a href=\"ohje.html\">ViHa peruskyttjn ohje</a>
<li><a href=\"ohje-guru.html\">ViHa tehokyttjn ja yllpitjn ohje</a>
<li><a href=\"viha-esitys.odp\">ViHa yleisesitys (OpenOffice Impress .odp)</a>
<li><a href=\"viha-esitys.pdf\">ViHa yleisesitys (Adobe Reader .pdf)</a>
<li><a href=\"historia.txt\">ViHan pivityshistoria</a>
<li><a href=\"lisenssi.html\">ViHa - lisenssiehdot</a>
<li><a href=\"testaus.csv\">Testaussuunnitelma (.CSV)</a>
<li><a href=\"testaus.xls\">Testaussuunnitelma (.XLS)</a>
</ul>
";

$hak = "operaatio/" . s("paivystys");
if (file_exists($hak)) {
  $dir = opendir($hak);
  if ($dir) {
    echo "<h2>Operaatiokohtaista materiaalia</h2>\n<ul>\n";
    while (($file = readdir($dir)) !== FALSE) {
      if (is_file("$hak/$file") && is_readable("$hak/$file")) {
	echo "<li><a href=\"$hak/$file\">$file</a>\n";
      }
    }
    closedir($dir);
    echo "</ul>\n";
  }
 }
  
echo "
<hr>
";

echo "<p>Selaimesi pit asettaa hyvksymn
ViHa-palvelimesta tulevat evsteet (cookies).
";

$now = date('Y-m-d H:i:s');
echo "<p><small>ViHa V$viha_versio ($viha_pvm) &copy; Riku Kalinen OH2RK",
  ", kyttj $username($userid)",
  ", kyttjtaso $userlevel($userlevel_no)",
  ", sallittuja operaatioita $operations",
  ", valittu operaatio " . ota_paivystys_nimi(), 
  ", IP $_SERVER[REMOTE_ADDR], $now</small>\n";

?>

</body> 
</html>

<!-- RCS $Id: index.php,v 1.67 2009/06/12 09:26:42 riku Exp $ -->
