#!/usr/bin/perl

# CVS $Id: ircbot.pl,v 1.1.1.1 2009/01/14 11:27:46 riku Exp $

use DBI;
use Net::IRC;

my $irc_s = '127.0.0.1';
my $irc_p = 6667;
my $irc_ch = '#vapepa';
my $irc_nick = 'kanta';
my $irc_user = 'kanta';
my $irc_name = 'Automaattiviestit tietokannasta';
my $irc_pass = 'ham07';

my $last_id = `cat ./last_id`;
if ($last_id eq '') { $last_id = 0; }

$dsn = "DBI:mysql:database=tilanne3;host=127.0.0.1";
$dbh = DBI->connect($dsn, 'ts', 'tilanne',  {'RaiseError' => 1});

my $irc = new Net::IRC;
my $conn = $irc->newconn
(
 Nick     => $irc_nick,
 Server   => $irc_s,
 Port     => $irc_p,
 Ircname  => $irc_name,
 Username => $irc_user,
 Password => $irc_pass,
 ) or die "ircbot.pl: Can't connect to IRC server.\n";

sub on_connect {
    my $self = shift;
    print "on_connect: joining $irc_ch\n";
    $self->join($irc_ch);
    $self->privmsg($irc_ch, "Ei se toimi kumminkaan");
}

sub on_init {
    my ($self, $event) = @_;
    my (@args) = ($event->args);
    shift (@args);
    print "on_init: @args\n";
}

sub on_disconnect {
    my ($self, $event) = @_;
    print "Disconnected from ", $event->from(), " (",
    ($event->args())[0], "). Attempting to reconnect...\n";
    $self->connect();
}

sub on_ping {
    my ($self, $event) = @_;
    my (@args) = ($event->args);
    my $id, $data, $ip, $user, $ts, $cleaned_data;
    $self->sl("PONG " . (CORE::join ' ', $event->args));
    print "on_ping: last_id=$last_id @args\n";

    my $sth = $dbh->prepare("SELECT id,data,ip,user,ts FROM taktinen_loki WHERE id > $last_id ORDER BY id");
    $sth->execute();
    my $i = 0;
    while (my $ref = $sth->fetchrow_hashref()) {
	$id = $ref->{'id'};
	$data = $ref->{'data'};
	$ip = $ref->{'ip'};
	$user = $ref->{'user'};
	$ts = $ref->{'ts'};
	$cleaned_data = "($id) $data";
	$cleaned_data =~ s/\<font\ color\=[a-z]+\>//i;
	$cleaned_data =~ s/\<\/font>//i;
	$self->privmsg($irc_ch, $cleaned_data);
	# print "$id $data $ip $user $ts\n";
	if (($i % 4) == 0) {
	    sleep(1);
	}
	$i += 1;
	$last_id = $id;
	open (ID, ">last_id");
	print ID "$last_id\n";
	close (ID);
    }
    $sth->finish();
}

print "Installing handler routines...";
$conn->add_handler('ping',  \&on_ping);
$conn->add_global_handler(376, \&on_connect);
$conn->add_global_handler('disconnect', \&on_disconnect);
$conn->add_global_handler([ 251,252,253,254,302,255 ], \&on_init);
print " done.\n";

print "Starting.\n";
$irc->start;

