<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$table = "kayttajat";
$file = basename(__FILE__);

include "common.php";
include "kayttaja-ok.php";

echo "
<html>
<head>
 <title>VIHA - Salasanan vaihto</title>
</head>
" . body_bgcolor() . "
<h1>Salasanan vaihto</h1>
";

hallinnolliset_linkit();

$old_password = post_txt('old_password');
$new_password_a = post_txt('new_password_a');
$new_password_b = post_txt('new_password_b');

$clear = post_txt('clear');
$save = post_txt('save');

if ($save != '') {
  $clear = "SAVE";
  $old_hash_db = tab_col_id("kayttajat","password",
			    s('userid'));
  $old_hash_user = crypt($old_password,$old_hash_db);
  if ($old_hash_user !== $old_hash_db)
    die("<p>Vanha salasana vrin\n");
  if ($new_password_a !== $new_password_b)
    die("<p>Uudet salasanat eivt tsm.\n");
  if ($new_password_a === '')
    die("<p>Uusi salasana on tyhj.\n");
  $new_hash = crypt($new_password_a);
  $now = date('Y-m-d H:i:s');
  $sql =
    "UPDATE $table
     SET password = '$new_hash',
         ts = '$now'
     WHERE id = " . s("userid");
  my_mysql_query ($sql,true,true);
  echo "<p>Salasana vaihdettu.\n";
 }

if ($clear != '') {
  $old_password = "";
  $new_password_a = "";
  $new_password_b = "";
}

echo "<form action=\"\" method=\"POST\">\n";
echo "<p><table border=0>\n";

echo "<tr><td>Nykyinen salasanasi:";
if ($readonly) {
  echo "<td>\n";
} else {
  echo
    "<td><input type=\"password\" name=\"old_password\" size=16 maxlength=16";
  echo " value=\"\">\n";
}

echo "<tr><td>Uusi salasana:";
if ($readonly) {
  echo "<td>\n";
} else {
  echo
    "<td><input type=\"password\" name=\"new_password_a\" size=16 maxlength=16";
  echo " value=\"\">\n";
}

echo "<tr><td>Varmistus:";
if ($readonly) {
  echo "<td>\n";
} else {
  echo
    "<td><input type=\"password\" name=\"new_password_b\" size=16 maxlength=16";
  echo " value=\"\">\n";
}

echo "</table>\n";

echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";

echo "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: salasana.php,v 1.8 2009/04/20 07:35:06 riku Exp $ -->
