<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$table = "ryhma";
$file = basename(__FILE__);

include "common.php";
include "paivystys-ok.php";

echo
"<html>
 <head>
   <title>ViHa - Toimintaryhmn kortti</title>
 </head>
 <body>
 <h1>VAPEPA - TOIMINTARYHMN KORTTI</h1>\n";

$id = get_nro_0('id');

oltava_sallittu($file, $table, $id);

# otsikkotaulukko

$tilanne = ota_paivystys_nimi();
$pvm = date('d.m.Y H:i');

$sql =
  "SELECT ryhma.kutsu,ryhma.puhelin,ryhma.tehtava,ryhma.toiminta_alue,
          ryhma.toimintakanava,verkko.verkko
   FROM ryhma,verkko
   WHERE ryhma.id = $id
         AND ryhma.verkko_id = verkko.id";
$result = my_mysql_query($sql);
$a = mysql_fetch_array($result);
$kutsu = $a['kutsu'];
$puhelin = $a['puhelin'];
$tehtava = $a['tehtava']; 
$toiminta_alue = $a['toiminta_alue']; 
$toimintakanava = $a['toimintakanava'];
$verkko = $a['verkko']; 

$johto_ryhma_id =
  tab_col_id("paivystys","johto_ryhma_id",s('paivystys'));
$viesti_ryhma_id =
  tab_col_id("paivystys","viesti_ryhma_id",s('paivystys'));

$tuki_ids = fetch_tuki_ids(s('paivystys'));
$tuet = '';
foreach ($tuki_ids as $tuki_ryhma_id) {
  $tuet .= " ";
  $tuet .= tab_col_id("ryhma","kutsu",$tuki_ryhma_id);
}

$johto_toiminta_alue = '';
if ($johto_ryhma_id > 1) {
  $sql =
    "SELECT ryhma.toiminta_alue
     FROM ryhma
     WHERE ryhma.id = $johto_ryhma_id";
  $result = my_mysql_query($sql);
  $a = mysql_fetch_array($result);
  $johto_toiminta_alue = $a['toiminta_alue']; 
 }

$viesti_kutsu = '';
$viesti_puhelin = '';
if ($viesti_ryhma_id > 1) {
  $sql =
    "SELECT ryhma.kutsu,ryhma.puhelin
     FROM ryhma
     WHERE ryhma.id = $viesti_ryhma_id";
  $result = my_mysql_query($sql);
  $a = mysql_fetch_array($result);
  $viesti_kutsu = $a['kutsu']; 
  $viesti_puhelin = $a['puhelin']; 
 }

$laite_verkko = '';
$laite_laite = '';
$laite_tunniste = '';
$sql =
  "SELECT laite.laite,laite.tunniste,verkko.verkko
   FROM laite,verkko
   WHERE laite.ryhma_id = $id
         AND laite.verkko_id = verkko.id";
$result = my_mysql_query($sql);
$a = mysql_fetch_array($result);
$laite_laite = $a['laite']; 
$laite_tunniste = $a['tunniste']; 
$laite_verkko = $a['verkko'];
if ($laite_verkko != '') 
  $verkko = $laite_verkko;

echo
"<p>
 <table border=\"1\">
  <tr align=\"left\" valign=\"top\">
   <td colspan=\"2\"><small>Tilanne</small><br>
                     $tilanne
   <td><small>Pvm</small><br>
       $pvm
   <td><small>Nro</small><br>
       $id
  <tr align=\"left\" valign=\"top\">
   <td rowspan=\"3\"><small>Ryhmn tehtv ja toiminta-alue</small><br>
                     $tehtava<br>
                     $toiminta_alue
   <td><small>Ryhmn radiokutsu</small><br>
       $kutsu
   <td rowspan=\"2\" colspan=\"2\"><small>Viestivline</small><br>
                                   $verkko<br>
                                   $laite_laite ($laite_tunniste)
  <tr align=\"left\" valign=\"top\">
   <td><small>Toimintakanava</small><br>
       $toimintakanava
  <tr align=\"left\" valign=\"top\">
   <td><small>Ryhmn puhelin</small><br>
       $puhelin
   <td colspan=\"2\"><small>Tukiasemien tunnukset</small><br>
                     $tuet
  <tr align=\"left\" valign=\"top\">
   <td><small>Toiminnan johtopaikka</small><br>
       $johto_toiminta_alue
   <td><small>Johtopaikan radiokutsu</small><br>
       $viesti_kutsu
   <td colspan=\"2\"><small>Johtopaikan puhelin</small><br>
                            $viesti_puhelin
 </table>\n";

# TOIMINTARYHM - taulukko

echo
"<p>
 <table border=\"1\">
  <tr align=\"center\" valign=\"center\">
   <th colspan=\"2\"><big>TOIMINTARYHM</big>
   <th><small>Tark. 1</small>
   <th><small>Tark. 2</small>
   <th><small>Pois</small>
  <tr align=\"left\" valign=\"top\">
   <td><small>Nro</small>
   <td><small>Nimi</small>
   <td><small> </small>
   <td><small> </small>
   <td><small> </small>
   <td width=\"30%\"><small>Listietoja</small>\n";

$n = 0;
$sql =
  "SELECT hlo.nimi,hlo_asema.pri
       FROM hlo,hlo_asema
       WHERE hlo.ryhma_id = $id
             AND hlo.hlo_asema_id = hlo_asema.id
       ORDER BY hlo_asema.pri, hlo.nimi";
$result = my_mysql_query($sql);
while ($a = mysql_fetch_array($result)) {
  $n ++;
  $nimi = $a['nimi'];
  if ($n == 1)
    echo "<tr><td>1. /RJ";
  else
    echo "<tr><td>$n.";
  echo "<td>$nimi<td> <td> <td> <td> \n";
 }
for ($n++; $n <= 8; $n++) {
  if ($n == 1)
    echo "<tr><td>1. /RJ";
  else
    echo "<tr><td>$n.";
  echo "<td> <td> <td> <td> <td> \n";
 }

echo
"</table>\n";

# VARUSTEET - taulukko

$matkap =
  ota_yksi("SELECT COUNT(*)
            FROM laite
            WHERE ryhma_id = $id AND verkko_id = 1");
$radiop =
  ota_yksi("SELECT COUNT(*)
            FROM laite
            WHERE ryhma_id = $id AND verkko_id != 1");
$kompassi =
  ota_yksi("SELECT COUNT(*)
            FROM tavara
            WHERE ryhma_id = $id AND tavara_tyyppi_id = 2");
$gps =
  ota_yksi("SELECT COUNT(*)
            FROM tavara
            WHERE ryhma_id = $id AND tavara_tyyppi_id = 3");
$kartta =
  ota_yksi("SELECT COUNT(*)
            FROM tavara
            WHERE ryhma_id = $id AND tavara_tyyppi_id = 4");
$pilli =
  ota_yksi("SELECT COUNT(*)
            FROM tavara
            WHERE ryhma_id = $id AND tavara_tyyppi_id = 5");
$merkintap =
  ota_yksi("SELECT COUNT(*)
            FROM tavara
            WHERE ryhma_id = $id AND tavara_tyyppi_id = 6");
$ea_val =
  ota_yksi("SELECT COUNT(*)
            FROM tavara
            WHERE ryhma_id = $id AND tavara_tyyppi_id = 7");
$valaisin =
  ota_yksi("SELECT COUNT(*)
            FROM tavara
            WHERE ryhma_id = $id AND tavara_tyyppi_id = 8");
$liivi =
  ota_yksi("SELECT COUNT(*)
            FROM tavara
            WHERE ryhma_id = $id AND tavara_tyyppi_id = 9");
$muut = 
  ota_yksi("SELECT COUNT(*)
            FROM tavara
            WHERE ryhma_id = $id
                  AND ((tavara_tyyppi_id = 1) OR (tavara_tyyppi_id > 9))");

echo
"<p>
 <table border=\"1\">
  <tr align=\"center\" valign=\"center\">
   <th><big>VARUSTEET</big><br>
       <small>(johtopaikalta luovutetut,<br>
       lukumr)</small>
   <th><small>Matka-<br>puh.</small>
   <th><small>Radio-<br>puh.</small>
   <th><small>Komp.</small>
   <th><small>GPS</small>
   <th><small>Kartta</small>
   <th><small>Pilli</small>
   <th><small>Merk.<br>pap.</small>
   <th><small>EA</small>
   <th><small>Valo</small>
   <th><small>Liivi</small>
   <th width=\"5%\"><small> </small>
   <th><small>Muu</small>
  <tr align=\"left\" valign=\"top\">
   <td>Lhtiess
   <td>$matkap<td>$radiop<td>$kompassi<td>$gps<td>$kartta<td>$pilli
   <td>$merkintap<td>$ea_val<td>$valaisin<td>$liivi<td> <td>$muut\n
  <tr align=\"left\" valign=\"top\">
   <td>Palatessa
   <td> <td> <td> <td> <td> <td> <td> <td> <td> <td> <td> <td> \n
  <tr align=\"left\" valign=\"top\">
   <td colspan=\"13\"><small>Merkinnt kuljetuksen, muonituksen ja muun
                      huollon tarpeesta ja toteutuksesta, sek
                      korvausvaatimuksia aiheuttavat tapahtumat</small> \n
 </table>\n";

?>
</body> 
</html>
<!-- RCS $Id: toimintaryhman-kortti.php,v 1.7 2009/04/18 14:51:47 riku Exp $ -->
