<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$file = basename(__FILE__);
$table = "hlo";

include "common.php";

$jarjesto_id = get_nro_0('jarjesto_id');

$clear = get_txt('clear');
if ($clear != '') $clear = true;
$check = get_txt('check');
if ($check != '') $check = true;
$save = get_txt('save');
if ($save != '') $save = true;
$cancel = get_txt('cancel');
if ($cancel != '') $cancel = true;


echo "
<html>
<head>
 <title>VIHA - Jrjestn hlytysryhm</title>
</head>
" . body_bgcolor() . "
<h1>Jrjestn hlytysryhmn muodostaminen, " . jarjesto($jarjesto_id)
. "</h1>
";

taktiset_linkit();

# kuka vaan voi ottaa henkiln samalta alueelta - kytettvyyskysymys
oltava_alueella($file, "jarjesto", $jarjesto_id);


$sql =
  "SELECT hlo.id, hlo.nimi, hlo.puhelin, hlo_tila.hlo_tila,
          hlo.ra, hlo.ts, hlo.alue_id, hlo.paivystys_id, ryhma.kutsu, halyssa
   FROM hlo, hlo_tila, ryhma
   WHERE hlo_tila.id = hlo.hlo_tila_id
         AND ryhma.id = hlo.ryhma_id
         AND jarjesto_id = $jarjesto_id
   ORDER BY hlo.nimi";

if ($save) {
  # reagoidaan ainoastaan annettuun jrjestn kuuluviin henkilihin.
  # muut ohitetaan hiljaisesti.
  $now = date('Y-m-d H:i:s');
  $result = my_mysql_query($sql);
  if ($result) {
    while ($a = mysql_fetch_array($result)) {
      if (permission_alue_id($herja,$a['alue_id'],false) == 2)
	continue;
      $h_id = $a['id'];
      $on = get_txt("cb$h_id");
      if ($on != '')
	$h = "halyssa = 1";
      else
	$h = "halyssa = 0";
      my_mysql_query("UPDATE hlo SET $h, ts = '$now' WHERE id = $h_id");
    } # while
  } # result
  echo "<p>Tiedot talletettu.";
 } # save

echo "<form action=\"\" method=\"GET\">\n";

print "<td><input type=\"hidden\" name=\"jarjesto_id\" size=8 maxlength=8";
print " value=\"$jarjesto_id\">\n";

$result = my_mysql_query($sql);
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  echo tr_bgcolor()
    . "<TH>Mukana?<TH>Nimi<TH>Operaatio<TH>Ryhm"
    . "<TH>Muutettu<TH>Tila<TH>Listieto\n";
  while ($a = mysql_fetch_array($result)) {
    if (permission_alue_id($herja,$a['alue_id'],false) == 2)
      continue;
    $p_id = $a['paivystys_id'];
    $s_id = s('paivystys');
    $halyssa = $a['halyssa'];
    echo "<TR>";
    echo "<td align=\"center\"><input name=\"cb$a[id]\" type=\"checkbox\"";
    if (($halyssa || $check) && ! $clear)
      echo " checked";
    echo ">";
    echo "<TD>$a[nimi]",
      "<td>" . nayta_operaatio($p_id),
      "<TD>$a[kutsu]", 
      "<TD>$a[ts]", 
      "<td>$a[hlo_tila]",
      "<TD>$a[ra]";
  }
  echo "</TABLE>";
 } 

echo "<p>";
echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
echo "<input type=\"submit\" name=\"cancel\" value=\"PERUUTA\">\n";
echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN KAIKKI\">\n";
echo "<input type=\"submit\" name=\"check\" value=\"VALITSE KAIKKI\">\n";


echo "</form>\n";

echo "
<p>Voit ottaa henkiln mukaan hlytysryhmn klikkaamalla merkin valintaruutuun.
(toimii mys muihin operaatioihin merkittyihin henkilihin).
<p>Henkil vapautetaan hlytysryhmst klikkaamalla merkki pois valintaruudusta.
<p>Tiedot tallentuvat vasta kun painat \"TALLENNA\" - painiketta.
<p>Operaatio-sarakkeessa <font color=red>punaisella</font> on merkitty muut
operaatiot. Tmn operaation henkilkunta on merkitty
<font color=green>vihrell</font>. Vapaat on merkitty tll vrill.
";

echo "
<ul>Vaihtoehtoisia nkymi thn sivuun
<li><a href=\"jarjesto-takt-1.php?show=&jarjesto_id=$jarjesto_id\">
  Nyt kaikki
 </a> (oletus)
<li><a href=\"jarjesto-takt-1.php?show=1&jarjesto_id=$jarjesto_id\">
  Nyt vain henkilt jotka eivt ole hlytysryhmss
 </a>
<li><a href=\"jarjesto-takt-1.php?show=3&jarjesto_id=$jarjesto_id\">
  Nyt vain henkilt jotka ovat hlytysryhmss
 </a>
<li><a href=\"jarjesto-takt-2.php?show=4&jarjesto_id=$jarjesto_id\">
  Valintaruutuversio (rasti ruutuun)
 </a>
</ul>";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: jarjesto-takt-2.php,v 1.5 2009/06/09 11:24:39 riku Exp $ -->
