<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$table = "loytynyt";
$file = basename(__FILE__);

include "common.php";
include "loytynyt-ok.php";

echo "
<html>
<head>
 <title>VIHA - Lytyneet henkilt</title>
</head>
" . body_bgcolor() . "
";

$id = get_nro_0('id');
$lapsi_tila_id = get_nro('lapsi_tila_id');
$kello = get_txt('kello');
$nimi = get_txt('nimi');
$ika = get_txt('ika');
$pituus = get_txt('pituus');
$paino = get_txt('paino');
$sukupuoli = get_txt('sukupuoli');
$housut = get_txt('housut');
$paita = get_txt('paita');
$kengat = get_txt('kengat');
$paahine = get_txt('paahine');
$hiusten_vari = get_txt('hiusten_vari');
$hiusten_pituus = get_txt('hiusten_pituus');
$tuntomerkit = get_txt('tuntomerkit');
$mista_loytyi = get_txt('mista_loytyi');
$blues_tarra = get_txt('blues_tarra');
$blues_nimi = get_txt('blues_nimi');
$blues_puhelin = get_txt('blues_puhelin');
$muuta1 = get_txt('muuta1');
$omainen_nimi = get_txt('omainen_nimi');
$omainen_puhelin = get_txt('omainen_puhelin');
$omainen_sijainti = get_txt('omainen_sijainti');
$omainen_osoite = get_txt('omainen_osoite');
$ilmoittaja_nimi = get_txt('ilmoittaja_nimi');
$ilmoittaja_puhelin = get_txt('ilmoittaja_puhelin');
$ilmoittaja_sijainti = get_txt('ilmoittaja_sijainti');
$soitettu_omaiselle_kello = get_txt('soitettu_omaiselle_kello');
$soitettu_omaiselle_numeroon = get_txt('soitettu_omaiselle_numeroon');
$soitettu_omaiselle_tulos = get_txt('soitettu_omaiselle_tulos');
$kuulutuspyynto1 = get_txt('kuulutuspyynto1');
$kuulutuspyynto2 = get_txt('kuulutuspyynto2');
$kuulutuspyynto3 = get_txt('kuulutuspyynto3');
$kuulutuspyynto4 = get_txt('kuulutuspyynto4');
$kuulutus1 = get_txt('kuulutus1');
$kuulutus2 = get_txt('kuulutus2');
$kuulutus3 = get_txt('kuulutus3');
$kuulutus4 = get_txt('kuulutus4');
$loydetty_kello = get_txt('loydetty_kello');
$loydetty_mista = get_txt('loydetty_mista');
$loydetty_odottaa = get_txt('loydetty_odottaa');
$poliisi_kello = get_txt('poliisi_kello');
$poliisi_vastaanotti = get_txt('poliisi_vastaanotti');
$muuta2 = get_txt('muuta2');
$loytaneet_kello = get_txt('loytaneet_kello');
$loytaneet_missa = get_txt('loytaneet_missa');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');
$show = get_txt('show');
$stage = get_txt('stage');

oltava_sallittu($file, $table, $id);

# apply some magic to all time fields.
$kello = maaginen_kello($kello);
$loydetty_kello = maaginen_kello($loydetty_kello);
$loytaneet_kello = maaginen_kello($loytaneet_kello);
$poliisi_kello = maaginen_kello($poliisi_kello);
$kuulutuspyynto1 = maaginen_kello($kuulutuspyynto1);
$kuulutuspyynto2 = maaginen_kello($kuulutuspyynto2);
$kuulutuspyynto3 = maaginen_kello($kuulutuspyynto3);
$kuulutuspyynto4 = maaginen_kello($kuulutuspyynto4);
$kuulutus1 = maaginen_kello($kuulutus1);
$kuulutus2 = maaginen_kello($kuulutus2);
$kuulutus3 = maaginen_kello($kuulutus3);
$kuulutus4 = maaginen_kello($kuulutus4);
$soitettu_omaiselle_kello = maaginen_kello($soitettu_omaiselle_kello);

if ($show != "") {
  echo "<h1>Lytynyt</h1>";
} elseif ($stage != "") {
  echo "<h2><b>LAVAKUULUTUS, " . date("Y-m-d H:i:s")
    . " Tunnus: Lytynyt-" . $id . "</b></h2>";
  echo "<h1><b>LYTYNYT</b></h1>";
} else {
  echo "<h1>Lytyneiden henkiliden tietojen ksittely</h1>";
  taktiset_linkit();
}

$readonly = 0; # only show (no edit) fields other than id
if (($remove != "") || ($show != "") || ($stage != "")) {
  $readonly = 1;
}

if (! $readonly) {
  echo "<p>Kellonaikojen sytss on taikaa: Kellonajan voi sytt muodossa
HH:MM.
Myskin +MM tai -MM - tyyppiset sytt ovat mahdollisia.
Jos sytt jotain muuta niin ko. kohtaan tulee sytthetken kellonaika.
";
}

if (($add != '') && saa_tehda("$file:add")) {
  $ret = loytynyt_add_ok($herja,s('alue'),
			 s('paivystys'),
			 $lapsi_tila_id,$kello,
                         $nimi,$soitettu_omaiselle_kello,$kuulutuspyynto1,
                         $kuulutuspyynto2,$kuulutuspyynto3,$kuulutuspyynto4,
                         $kuulutus1,$kuulutus2,$kuulutus3,$kuulutus4,
                         $loydetty_kello,$poliisi_kello,$loytaneet_kello);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "INSERT INTO $table
       SET alue_id = " . s("alue") . ",
           paivystys_id = " . s("paivystys") . ",
           lapsi_tila_id = $lapsi_tila_id,
           kello = '$kello',
           nimi = '$nimi',
           ika = '$ika',
           pituus = '$pituus',
           paino = '$paino', 
           sukupuoli = '$sukupuoli',
           housut = '$housut',
           paita = '$paita',
           kengat = '$kengat',
           paahine = '$paahine',
           hiusten_vari = '$hiusten_vari',
           hiusten_pituus = '$hiusten_pituus',
           tuntomerkit = '$tuntomerkit', 
           mista_loytyi = '$mista_loytyi',
           blues_tarra = '$blues_tarra',
           blues_nimi = '$blues_nimi',
           blues_puhelin = '$blues_puhelin',
           muuta1 = '$muuta1', 
           omainen_nimi = '$omainen_nimi',
           omainen_puhelin = '$omainen_puhelin',
           omainen_sijainti = '$omainen_sijainti',
           omainen_osoite = '$omainen_osoite', 
           ilmoittaja_nimi = '$ilmoittaja_nimi',
           ilmoittaja_puhelin = '$ilmoittaja_puhelin',
           ilmoittaja_sijainti = '$ilmoittaja_sijainti', 
           soitettu_omaiselle_kello = '$soitettu_omaiselle_kello',
           soitettu_omaiselle_numeroon = '$soitettu_omaiselle_numeroon',
           soitettu_omaiselle_tulos = '$soitettu_omaiselle_tulos',
           kuulutuspyynto1 = '$kuulutuspyynto1',
           kuulutuspyynto2 = '$kuulutuspyynto2',
           kuulutuspyynto3 = '$kuulutuspyynto3',
           kuulutuspyynto4 = '$kuulutuspyynto4', 
           kuulutus1 = '$kuulutus1',
           kuulutus2 = '$kuulutus2',
           kuulutus3 = '$kuulutus3',
           kuulutus4 = '$kuulutus4', 
           loydetty_kello = '$loydetty_kello',
           loydetty_mista = '$loydetty_mista',
           loydetty_odottaa = '$loydetty_odottaa', 
           poliisi_kello = '$poliisi_kello',
           poliisi_vastaanotti = '$poliisi_vastaanotti', 
           muuta2 = '$muuta2', 
           loytaneet_kello = '$loytaneet_kello',
           loytaneet_missa = '$loytaneet_missa', 
           ts = '$now'";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot listty.\n";
    $clear = "ADD";
    taktinen_loki("Listty lytynyt $nimi, tila " .
		  ota_lapsi_tila($lapsi_tila_id));
    loki("$sql id=" . last_insert_id());
  }
  p_herja($ret,$herja);
 }

if (($save != '') && saa_tehda("$file:save")) {
  $ret = loytynyt_save_ok($herja,$id,s('alue'),
			  s('paivystys'),
			  $lapsi_tila_id,$kello,
                          $nimi,$soitettu_omaiselle_kello,$kuulutuspyynto1,
                          $kuulutuspyynto2,$kuulutuspyynto3,$kuulutuspyynto4,
                          $kuulutus1,$kuulutus2,$kuulutus3,$kuulutus4,
                          $loydetty_kello,$poliisi_kello,$loytaneet_kello);
  $clear = "SAVE";
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "UPDATE $table
       SET alue_id = " . s("alue") . ",
           paivystys_id = " . s("paivystys") . ",
           lapsi_tila_id = $lapsi_tila_id,
           kello = '$kello',
           nimi = '$nimi',
           ika = '$ika',
           pituus = '$pituus',
           paino = '$paino', 
           sukupuoli = '$sukupuoli',
           housut = '$housut',
           paita = '$paita',
           kengat = '$kengat',
           paahine = '$paahine',
           hiusten_vari = '$hiusten_vari',
           hiusten_pituus = '$hiusten_pituus',
           tuntomerkit = '$tuntomerkit', 
           mista_loytyi = '$mista_loytyi', 
           blues_tarra='$blues_tarra', 
           blues_nimi='$blues_nimi',
           blues_puhelin='$blues_puhelin',
           muuta1='$muuta1',
           omainen_nimi='$omainen_nimi',
           omainen_puhelin='$omainen_puhelin',
           omainen_sijainti='$omainen_sijainti',
           omainen_osoite='$omainen_osoite',
           ilmoittaja_nimi='$ilmoittaja_nimi',
           ilmoittaja_puhelin='$ilmoittaja_puhelin',
           ilmoittaja_sijainti='$ilmoittaja_sijainti', 
           soitettu_omaiselle_kello='$soitettu_omaiselle_kello', 
           soitettu_omaiselle_numeroon='$soitettu_omaiselle_numeroon', 
           soitettu_omaiselle_tulos='$soitettu_omaiselle_tulos', 
           kuulutuspyynto1='$kuulutuspyynto1',
           kuulutuspyynto2='$kuulutuspyynto2', 
           kuulutuspyynto3='$kuulutuspyynto3',
           kuulutuspyynto4='$kuulutuspyynto4',
           kuulutus1='$kuulutus1',
           kuulutus2='$kuulutus2', 
           kuulutus3='$kuulutus3',
           kuulutus4='$kuulutus4',
           loydetty_kello='$loydetty_kello',
           loydetty_mista='$loydetty_mista', 
           loydetty_odottaa='$loydetty_odottaa',
           poliisi_kello='$poliisi_kello',
           poliisi_vastaanotti='$poliisi_vastaanotti', 
           muuta2='$muuta2',
           loytaneet_kello='$loytaneet_kello',
           loytaneet_missa='$loytaneet_missa',
           ts='$now'
       WHERE id=$id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot pivitetty.\n";
    $clear = "SAVE";
    taktinen_loki("Pivitetty lytynytt $nimi, tila "
		  . ota_lapsi_tila($lapsi_tila_id));
    loki($sql);
  }
  p_herja($ret,$herja);
 }

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = loytynyt_remove_ok($herja,$id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $tmp_lapsi_tila_id =
      ota_yksi("SELECT lapsi_tila_id FROM loytynyt WHERE id = $id");
    taktinen_loki("Poistetaan lytynytt "
		  . ota_loytynyt_nimi($id)
		  . ", tila " . ota_lapsi_tila($tmp_lapsi_tila_id));
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot poistettu.\n";
    $clear = "CONFIRM";
    loki($sql);
  }
  p_herja($ret,$herja);
 }

if ($clear != '') {
  $id = "0";
  $lapsi_tila_id = 1;
  $kello = ''; $nimi = ''; $ika = ''; $pituus = ''; $paino = '';
  $sukupuoli = ''; $housut = ''; $paita = ''; $kengat = '';
  $paahine = ''; $hiusten_vari = ''; $hiusten_pituus = ''; $tuntomerkit = '';
  $mista_loytyi = '';
  $blues_tarra = ''; $blues_nimi = ''; $blues_puhelin = ''; $muuta1 = '';
  $omainen_nimi = ''; $omainen_puhelin = '';
  $omainen_sijainti = ''; $omainen_osoite = ''; $ilmoittaja_nimi = '';
  $ilmoittaja_puhelin = ''; $ilmoittaja_sijainti = '';
  $soitettu_omaiselle_kello = '';
  $soitettu_omaiselle_numeroon = '';
  $soitettu_omaiselle_tulos = '';
  $kuulutuspyynto1 = ''; $kuulutuspyynto2 = ''; $kuulutuspyynto3 = '';
  $kuulutuspyynto4 = '';
  $kuulutus1 = ''; $kuulutus2 = ''; $kuulutus3 = ''; $kuulutus4 = '';
  $loydetty_kello = ''; $loydetty_mista = '';
  $loydetty_odottaa = ''; $poliisi_kello = ''; $poliisi_vastaanotti = '';
  $muuta2 = ''; $loytaneet_kello = ''; $loytaneet_missa = '';
 }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = loytynyt_remove_ok($herja,$id,false);
  if ($ret != 2) {
    $removable = 1;
  }
  p_herja($ret,$herja);
 }

echo "<form action=\"\" method=\"GET\">\n";

if ($show == "") {
  $sql = "
SELECT loytynyt.id,loytynyt.ts,lapsi_tila,kello,nimi,ika,sukupuoli
FROM loytynyt,lapsi_tila
WHERE lapsi_tila_id = lapsi_tila.id
      AND $table.paivystys_id = " . s("paivystys") . "
ORDER BY loytynyt.ts
";
  $result = my_mysql_query($sql);
  if ($result) {
    echo "<p><TABLE BORDER=1>\n";
    echo tr_bgcolor()
      . "<TH>Id<TH>Tila<TH>SPR:n<br>tietoon<TH>Nimi<TH>Ik<TH>Sukupuoli\n";
    while ($a = mysql_fetch_array($result)) {
      echo "<TR><TD>$a[id]",
	"<TD>$a[lapsi_tila]",
	"<TD align=right>", vain_hhmm($a[kello]),
	"<TD>$a[nimi]",
	"<TD>$a[ika]", "<TD>$a[sukupuoli]";
      if ($id == "0") {
	echo "<td><a href=\"$table.php?id=$a[id]&show=NYT\">NYT</a>\n";
	echo "<td><a href=\"$table.php?id=$a[id]&stage=KUULUTUS\">KUULUTUS</a>\n";
	echo "<td><a href=\"$table.php?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
	echo "<td><a href=\"$table.php?id=$a[id]&remove=POISTA\">POISTA</a>\n";
      }
    }
    echo "</TABLE>";
  } else {
    echo "<P>Plop. Ei lytyneiden tietoja.";
  }
 }

echo "<p><table border=0>\n";

if ($id != "0") {
  $sql = "SELECT * FROM $table WHERE id = $id";
  $result = my_mysql_query($sql);
  $a = mysql_fetch_array($result);
  $lapsi_tila_id = $a['lapsi_tila_id'];
  $kello = $a['kello'];
  $nimi = $a['nimi'];
  $ika = $a['ika'];
  $pituus = $a['pituus'];
  $paino = $a['paino'];
  $sukupuoli = $a['sukupuoli'];
  $housut = $a['housut'];
  $paita = $a['paita'];
  $kengat = $a['kengat'];
  $paahine = $a['paahine'];
  $hiusten_vari = $a['hiusten_vari'];
  $hiusten_pituus = $a['hiusten_pituus'];
  $tuntomerkit = $a['tuntomerkit'];
  $mista_loytyi = $a['mista_loytyi'];
  $blues_tarra = $a['blues_tarra'];
  $blues_nimi = $a['blues_nimi'];
  $blues_puhelin = $a['blues_puhelin'];
  $muuta1 = $a['muuta1'];
  $omainen_nimi = $a['omainen_nimi'];
  $omainen_puhelin = $a['omainen_puhelin'];
  $omainen_sijainti = $a['omainen_sijainti'];
  $omainen_osoite = $a['omainen_osoite'];
  $ilmoittaja_nimi = $a['ilmoittaja_nimi'];
  $ilmoittaja_puhelin = $a['ilmoittaja_puhelin'];
  $ilmoittaja_sijainti = $a['ilmoittaja_sijainti'];
  $soitettu_omaiselle_kello = $a['soitettu_omaiselle_kello'];
  $soitettu_omaiselle_numeroon = $a['soitettu_omaiselle_numeroon'];
  $soitettu_omaiselle_tulos = $a['soitettu_omaiselle_tulos'];
  $kuulutuspyynto1 = $a['kuulutuspyynto1'];
  $kuulutuspyynto2 = $a['kuulutuspyynto2'];
  $kuulutuspyynto3 = $a['kuulutuspyynto3'];
  $kuulutuspyynto4 = $a['kuulutuspyynto4'];
  $kuulutus1 = $a['kuulutus1'];
  $kuulutus2 = $a['kuulutus2'];
  $kuulutus3 = $a['kuulutus3'];
  $kuulutus4 = $a['kuulutus4'];
  $loydetty_kello = $a['loydetty_kello'];
  $loydetty_mista = $a['loydetty_mista'];
  $loydetty_odottaa = $a['loydetty_odottaa'];
  $poliisi_kello = $a['poliisi_kello'];
  $poliisi_vastaanotti = $a['poliisi_vastaanotti'];
  $muuta2 = $a['muuta2'];
  $loytaneet_kello = $a['loytaneet_kello'];
  $loytaneet_missa = $a['loytaneet_missa']; 
  # apply some magic to all time fields.
  $kello = maaginen_kello($kello);
  $loydetty_kello = maaginen_kello($loydetty_kello);
  $loytaneet_kello = maaginen_kello($loytaneet_kello);
  $poliisi_kello = maaginen_kello($poliisi_kello);
  $kuulutuspyynto1 = maaginen_kello($kuulutuspyynto1);
  $kuulutuspyynto2 = maaginen_kello($kuulutuspyynto2);
  $kuulutuspyynto3 = maaginen_kello($kuulutuspyynto3);
  $kuulutuspyynto4 = maaginen_kello($kuulutuspyynto4);
  $kuulutus1 = maaginen_kello($kuulutus1);
  $kuulutus2 = maaginen_kello($kuulutus2);
  $kuulutus3 = maaginen_kello($kuulutus3);
  $kuulutus4 = maaginen_kello($kuulutus4);
  $soitettu_omaiselle_kello = maaginen_kello($soitettu_omaiselle_kello);
 }

# stage is separate from everything else, so (mis) handled here
if ($stage != "") {
  $editoitava = "
Arvoisa Yleis. $nimi, $ika vuotta, odottaa vanhempiaan INFO-pisteess.
";
  echo "<p>
<textarea name=\"editoitava\" rows=10 cols=72>
$editoitava
</textarea>
";
  exit;
}

echo "<tr><td>Id:<td>";
if ($id == "0") {
  echo "(tehdn uusi)\n";
  $lapsi_tila_id = 2;
} else {
  echo "$id\n";
}
echo "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
echo " value=\"$id\">\n";

echo "<tr><td>Tila:<td>";
if ($readonly) {
  echo etsi_teksti("lapsi_tila_id", $lapsi_tila_id, "lapsi_tila", "id",
		    "lapsi_tila") . "\n";
} else {
  echo "\n";
  tee_valinta("lapsi_tila_id", $lapsi_tila_id, "lapsi_tila", "id",
	      "lapsi_tila", "ORDER BY lapsi_tila");
}

echo "<tr><td>Kello:<td>";
if ($readonly) { echo "$kello\n"; } else {
  echo "<input type=\"text\" name=\"kello\" size=19 maxlength=19";
  echo " value=\"$kello\">
Koska tullut SPR:n tietoon. HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>Nimi:<td>";
if ($readonly) { echo "$nimi\n"; } else {
  echo "<input type=\"text\" name=\"nimi\" size=64 maxlength=64";
  echo " value=\"$nimi\">\n";
}

echo "<tr><td>Ik:<td>";
if ($readonly) { echo "$ika\n"; } else {
  echo "<input type=\"text\" name=\"ika\" size=8 maxlength=8";
  echo " value=\"$ika\">\n";
}

echo "<tr><td>Pituus:<td>";
if ($readonly) { echo "$pituus\n"; } else {
  echo "<input type=\"text\" name=\"pituus\" size=8 maxlength=8";
  echo " value=\"$pituus\">\n";
}

echo "<tr><td>Paino:<td>";
if ($readonly) { echo "$paino\n"; } else {
  echo "<input type=\"text\" name=\"paino\" size=8 maxlength=8";
  echo " value=\"$paino\">\n";
}

echo "<tr><td>Sukupuoli:<td>";
if ($readonly) { echo "$sukupuoli\n"; } else {
  echo "<input type=\"text\" name=\"sukupuoli\" size=8 maxlength=8";
  echo " value=\"$sukupuoli\">\n";
}

echo "<tr><td>Tuntomerkit\n";

echo "<tr><td>- housut:<td>";
if ($readonly) { echo "$housut\n"; } else {
  echo "<input type=\"text\" name=\"housut\" size=32 maxlength=32";
  echo " value=\"$housut\"> tai hame jne\n";
}

echo "<tr><td>- paita:<td>";
if ($readonly) { echo "$paita\n"; } else {
  echo "<input type=\"text\" name=\"paita\" size=32 maxlength=32";
  echo " value=\"$paita\"> tai mekko jne\n";
}

echo "<tr><td>- kengt:<td>";
if ($readonly) { echo "$kengat\n"; } else {
  echo "<input type=\"text\" name=\"kengat\" size=32 maxlength=32";
  echo " value=\"$kengat\">\n";
}

echo "<tr><td>- phine:<td>";
if ($readonly) { echo "$paahine\n"; } else {
  echo "<input type=\"text\" name=\"paahine\" size=32 maxlength=32";
  echo " value=\"$paahine\">\n";
}

echo "<tr><td>- hiusten vri:<td>";
if ($readonly) { echo "$hiusten_vari\n"; } else {
  echo "<input type=\"text\" name=\"hiusten_vari\" size=32 maxlength=32";
  echo " value=\"$hiusten_vari\">\n";
}

echo "<tr><td>- hiusten pituus:<td>";
if ($readonly) { echo "$hiusten_pituus\n"; } else {
  echo "<input type=\"text\" name=\"hiusten_pituus\" size=32 maxlength=32";
  echo " value=\"$hiusten_pituus\">\n";
}

echo "<tr><td>- muuta:<td>";
if ($readonly) { echo "$tuntomerkit\n"; } else {
  echo "<input type=\"text\" name=\"tuntomerkit\" size=64 maxlength=64";
  echo " value=\"$tuntomerkit\">\n";
}

echo "<tr><td>Mist lytyi:<td>";
if ($readonly) { echo "$mista_loytyi\n"; } else {
  echo "<input type=\"text\" name=\"mista_loytyi\" size=64 maxlength=64";
  echo " value=\"$mista_loytyi\">\n";
}

echo "<tr><td>Merkitty tarralla:<td>";
if ($readonly) { echo "$blues_tarra\n"; } else {
  echo "<input type=\"text\" name=\"blues_tarra\" size=8 maxlength=8";
  echo " value=\"$blues_tarra\">\n";
}

echo "<tr><td>- nimi tarrassa:<td>";
if ($readonly) { echo "$blues_nimi\n"; } else {
  echo "<input type=\"text\" name=\"blues_nimi\" size=64 maxlength=64";
  echo " value=\"$blues_nimi\">\n";
}

echo "<tr><td>- puhelinnumero:<td>";
if ($readonly) { echo "$blues_puhelin\n"; } else {
  echo "<input type=\"text\" name=\"blues_puhelin\" size=32 maxlength=32";
  echo " value=\"$blues_puhelin\">\n";
}

echo "<tr><td>Muita tietoja:<td>";
if ($readonly) { echo "$muuta1\n"; } else {
  echo "<input type=\"text\" name=\"muuta1\" size=64 maxlength=255";
  echo " value=\"$muuta1\">\n";
}

echo "<tr><td>Omainen<br>tai huoltaja";

echo "<tr><td>- nimi:<td>";
if ($readonly) { echo "$omainen_nimi\n"; } else {
  echo "<input type=\"text\" name=\"omainen_nimi\" size=64 maxlength=64";
  echo " value=\"$omainen_nimi\">\n";
}

echo "<tr><td>- puhelin:<td>";
if ($readonly) { echo "$omainen_puhelin\n"; } else {
  echo "<input type=\"text\" name=\"omainen_puhelin\" size=32 maxlength=32";
  echo " value=\"$omainen_puhelin\">\n";
}

echo "<tr><td>- sijainti:<td>";
if ($readonly) { echo "$omainen_sijainti\n"; } else {
  echo "<input type=\"text\" name=\"omainen_sijainti\" size=64 maxlength=255";
  echo " value=\"$omainen_sijainti\">\n";
}

echo "<tr><td>- osoite:<td>";
if ($readonly) { echo "$omainen_osoite\n"; } else {
  echo "<input type=\"text\" name=\"omainen_osoite\" size=64 maxlength=255";
  echo " value=\"$omainen_osoite\">\n";
}

echo "<tr><td>Kuka toi<br>lapsen ?";

echo "<tr><td>- nimi:<td>";
if ($readonly) { echo "$ilmoittaja_nimi\n"; } else {
  echo "<input type=\"text\" name=\"ilmoittaja_nimi\" size=64 maxlength=64";
  echo " value=\"$ilmoittaja_nimi\">\n";
}

echo "<tr><td>- puhelin:<td>";
if ($readonly) { echo "$ilmoittaja_puhelin\n"; } else {
  echo "<input type=\"text\" name=\"ilmoittaja_puhelin\" size=32 maxlength=32";
  echo " value=\"$ilmoittaja_puhelin\">\n";
}

echo "<tr><td>- sijainti:<td>";
if ($readonly) { echo "$ilmoittaja_sijainti\n"; } else {
  echo "<input type=\"text\" name=\"ilmoittaja_sijainti\" size=64 maxlength=255";
  echo " value=\"$ilmoittaja_sijainti\">\n";
}

echo "<tr><td>Soitettu omaiselle";

echo "<tr><td>- kello:<td>";
if ($readonly) { echo "$soitettu_omaiselle_kello\n"; } else {
  echo "<input type=\"text\" name=\"soitettu_omaiselle_kello\" size=19 maxlength=19";
  echo " value=\"$soitettu_omaiselle_kello\">
HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>- numeroon:<td>";
if ($readonly) { echo "$soitettu_omaiselle_numeroon\n"; } else {
  echo "<input type=\"text\" name=\"soitettu_omaiselle_numeroon\" size=32 maxlength=32";
  echo " value=\"$soitettu_omaiselle_numeroon\">\n";
}

echo "<tr><td>- tulos:<td>";
if ($readonly) { echo "$soitettu_omaiselle_tulos\n"; } else {
  echo "<input type=\"text\" name=\"soitettu_omaiselle_tulos\" size=64 maxlength=255";
  echo " value=\"$soitettu_omaiselle_tulos\">\n";
}

echo "<tr><td>Lavakuulutuspyynnt";

echo "<tr><td>1. pyynt:<td>";
if ($readonly) { echo "$kuulutuspyynto1\n"; } else {
  echo "<input type=\"text\" name=\"kuulutuspyynto1\" size=19 maxlength=19";
  echo " value=\"$kuulutuspyynto1\">Koska ensimminen lavakuulutuspyynt on viety.
HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>2. pyynt:<td>";
if ($readonly) { echo "$kuulutuspyynto2\n"; } else {
  echo "<input type=\"text\" name=\"kuulutuspyynto2\" size=19 maxlength=19";
  echo " value=\"$kuulutuspyynto2\">Koska toinen lavakuulutuspyynt on viety.
HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>3. pyynt:<td>";
if ($readonly) { echo "$kuulutuspyynto3\n"; } else {
  echo "<input type=\"text\" name=\"kuulutuspyynto3\" size=19 maxlength=19";
  echo " value=\"$kuulutuspyynto3\">Koska kolmas lavakuulutuspyynt on viety.
HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>4. pyynt:<td>";
if ($readonly) { echo "$kuulutuspyynto4\n"; } else {
  echo "<input type=\"text\" name=\"kuulutuspyynto4\" size=19 maxlength=19";
  echo " value=\"$kuulutuspyynto4\">Koska neljs lavakuulutuspyynt on viety.
HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>Lavakuulutukset";

echo "<tr><td>1. kuulutus:<td>";
if ($readonly) { echo "$kuulutus1\n"; } else {
  echo "<input type=\"text\" name=\"kuulutus1\" size=19 maxlength=19";
  echo " value=\"$kuulutus1\">Koska ensimminen lavakuulutus tapahtui. HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>2. kuulutus:<td>";
if ($readonly) { echo "$kuulutus2\n"; } else {
  echo "<input type=\"text\" name=\"kuulutus2\" size=19 maxlength=19";
  echo " value=\"$kuulutus2\">Koska toinen lavakuulutus tapahtui. HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>3. kuulutus:<td>";
if ($readonly) { echo "$kuulutus3\n"; } else {
  echo "<input type=\"text\" name=\"kuulutus3\" size=19 maxlength=19";
  echo " value=\"$kuulutus3\">Koska kolmas lavakuulutus tapahtui. HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>4. kuulutus:<td>";
if ($readonly) { echo "$kuulutus4\n"; } else {
  echo "<input type=\"text\" name=\"kuulutus4\" size=19 maxlength=19";
  echo " value=\"$kuulutus4\">Koska neljs lavakuulutus tapahtui. HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>Omainen lydetty";

echo "<tr><td>- kello:<td>";
if ($readonly) { echo "$loydetty_kello\n"; } else {
  echo "<input type=\"text\" name=\"loydetty_kello\" size=19 maxlength=19";
  echo " value=\"$loydetty_kello\">
HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>- mist:<td>";
if ($readonly) { echo "$loydetty_mista\n"; } else {
  echo "<input type=\"text\" name=\"loydetty_mista\" size=64 maxlength=255";
  echo " value=\"$loydetty_mista\">\n";
}

echo "<tr><td>- odottaa miss:<td>";
if ($readonly) { echo "$loydetty_odottaa\n"; } else {
  echo "<input type=\"text\" name=\"loydetty_odottaa\" size=64 maxlength=255";
  echo " value=\"$loydetty_odottaa\">\n";
}

echo "<tr><td>Tapaus annettu<br>poliisille";

echo "<tr><td>- kello:<td>";
if ($readonly) { echo "$poliisi_kello\n"; } else {
  echo "<input type=\"text\" name=\"poliisi_kello\" size=19 maxlength=19";
  echo " value=\"$poliisi_kello\">
HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>- vastaanotti:<td>";
if ($readonly) { echo "$poliisi_vastaanotti\n"; } else {
  echo "<input type=\"text\" name=\"poliisi_vastaanotti\" size=64 maxlength=64";
  echo " value=\"$poliisi_vastaanotti\">\n";
}

echo "<tr><td>Muita<br>toimenpiteit:<td>";
if ($readonly) { echo "$muuta2\n"; } else {
  echo "<input type=\"text\" name=\"muuta2\" size=64 maxlength=255";
  echo " value=\"$muuta2\">\n";
}

echo "<tr><td>Lytneet toisensa";

echo "<tr><td>- kello:<td>";
if ($readonly) { echo "$loytaneet_kello\n"; } else {
  echo "<input type=\"text\" name=\"loytaneet_kello\" size=19 maxlength=19";
  echo " value=\"$loytaneet_kello\">
HH:MM tai X tai -MM tai +MM.\n";
}

echo "<tr><td>- miss:<td>";
if ($readonly) { echo "$loytaneet_missa\n"; } else {
  echo "<input type=\"text\" name=\"loytaneet_missa\" size=64 maxlength=255";
  echo " value=\"$loytaneet_missa\">\n";
}

echo "</table>\n";

if ($change != "") {
  echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($references == 0) {
    echo "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($show == "") {
  echo "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

echo "</form>\n";

taktiset_linkit();

loppu();

?>
</body> 
</html>
<!-- RCS $Id: loytynyt.php,v 1.11 2009/05/04 05:17:31 riku Exp $ -->
