<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$table = "XXX";
$file = basename(__FILE__);

include "common.php";
include "XXX-ok.php";

echo "
<html>
<head>
 <title>VIHA - Viestivlineet</title>
</head>
" . body_bgcolor() . "
<h1>Viestivlineiden ksittely ja siirrot</h1>
";

hallinnolliset_linkit();

$id = get_nro_0('id');
$alue_id = get_nro_1('alue_id');
$paivystys_id = get_nro_1('paivystys_id');
$jarjesto_id = get_nro_1('jarjesto_id');
$hlo_id = get_nro_0('hlo_id');
$XXX = get_txt('XXX');
$tunniste = get_txt('tunniste');
$selite = get_txt('selite');
$verkko_id = get_nro_1('verkko_id');
$ryhma_id = get_nro_1('ryhma_id');
$merkitty = get_nro_0('merkitty');
$vakuutettu = get_nro_0('vakuutettu');
$vara_akut = get_nro_0('vara_akut');
$XXX_tyyppi_id = get_nro_1('XXX_tyyppi_id');
$palaute = get_txt('palaute');
$lisavarusteet = get_txt('lisavarusteet');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_useita($file);
oltava_sallittu($file, $table, $id);

if (($add != '') && saa_tehda("$file:add")) {
  $ret = XXX_add_ok($herja,$alue_id,$paivystys_id,$jarjesto_id,$hlo_id,$XXX,
		      $tunniste,$verkko_id,$ryhma_id,$XXX_tyyppi_id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "INSERT INTO XXX
       SET alue_id = $alue_id,
           paivystys_id = $paivystys_id,
           jarjesto_id = $jarjesto_id,
           hlo_id = $hlo_id,
           XXX = '$XXX',
           tunniste = '$tunniste',
           selite = '$selite',
           verkko_id = $verkko_id,
           ryhma_id = $ryhma_id,
           merkitty = $merkitty,
           vakuutettu = $vakuutettu,
           vara_akut = $vara_akut,
           XXX_tyyppi_id = $XXX_tyyppi_id,
           palaute = '$palaute',
           lisavarusteet = '$lisavarusteet',
           ts = '$now'";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot listty.\n";
    $clear = "ADD";
    loki("$sql id=" . last_insert_id());
    taktinen_loki("Listty viestivline $XXX ($tunniste)");
  }
  p_herja($ret,$herja);
 } # add

if (($save != '') && saa_tehda("$file:save")) {
  $ret = XXX_save_ok($herja,$id,$alue_id,$paivystys_id,$jarjesto_id,$hlo_id,
		       $XXX,$tunniste,$verkko_id,$ryhma_id,$XXX_tyyppi_id);
  $clear = "SAVE";
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "UPDATE $table
       SET alue_id = $alue_id,
           paivystys_id=$paivystys_id,
           jarjesto_id=$jarjesto_id,
           hlo_id=$hlo_id,
           XXX='$XXX',
           tunniste='$tunniste',
           selite='$selite',
           verkko_id=$verkko_id,
           ryhma_id=$ryhma_id,
           merkitty=$merkitty,
           vakuutettu=$vakuutettu,
           vara_akut=$vara_akut,
           XXX_tyyppi_id=$XXX_tyyppi_id,
           palaute='$palaute',
           lisavarusteet='$lisavarusteet',
           ts='$now'
       WHERE id=$id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot pivitetty.\n";
    loki($sql);
    taktinen_loki("Muutettu viestivlinett $XXX ($tunniste)");
  }
  p_herja($ret,$herja);
 } # save

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = XXX_remove_ok($herja,$id);
  if ($ret != 2) {
    $XXX = tab_col_id("XXX","",$id);
    $tunniste = tab_col_id("XXX","tunniste",$id);
    taktinen_loki("Poistetaan XXXtta $XXX ($tunniste)");
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
    loki($sql);
  }
  p_herja($ret,$herja);
 } # confirm

if ($clear != '') {
  $id = '0';
  $alue_id = '1';
  $paivystys_id = '1';
  $jarjesto_id = '1';
  $hlo_id = '0';
  $XXX = '';
  $tunniste = '';
  $selite = '';
  $verkko_id = '1';
  $ryhma_id = '1';
  $merkitty = '0';
  $vakuutettu = '0';
  $vara_akut = '0';
  $XXX_tyyppi_id = '1';
  $palaute = '';
  $lisavarusteet = '';
 }

# readonly tells if the fields are readonly. if not, they are editable.
if ($remove != '') { $readonly = 1; } else { $readonly = 0; }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = XXX_remove_ok($herja,$id,false);
  if ($ret != 2) {
    $removable = 1;
  }
  p_herja($ret,$herja);
 }

echo "<form action=\"\" method=\"GET\">\n";
echo "<p><table border=0>\n";

if ($id != "0") {
  $result = 
    my_mysql_query("SELECT alue_id,paivystys_id,jarjesto_id,hlo_id,XXX,
                           tunniste,selite,verkko_id,ryhma_id,merkitty,
                           vakuutettu,vara_akut,XXX_tyyppi_id,palaute,
                           lisavarusteet
                    FROM XXX
                    WHERE id = $id");
  $a = mysql_fetch_array($result);
  $verkko_id = $a['verkko_id'];
  $alue_id = $a['alue_id'];
  $paivystys_id = $a['paivystys_id'];
  $jarjesto_id = $a['jarjesto_id'];
  $hlo_id = $a['hlo_id'];
  $XXX = $a['XXX'];
  $tunniste = $a['tunniste'];
  $selite = $a['selite'];
  $verkko_id = $a['verkko_id'];
  $ryhma_id = $a['ryhma_id'];
  $merkitty = $a['merkitty'];
  $vakuutettu = $a['vakuutettu'];
  $vara_akut = $a['vara_akut'];
  $XXX_tyyppi_id = $a['XXX_tyyppi_id'];
  $palaute = $a['palaute'];
  $lisavarusteet = $a['lisavarusteet'];
}

echo "<tr><td>Id:";
if ($id == "0") {
  echo "<td>(tehdn uusi)\n";
} else {
  echo "<td>$id\n";
}
echo "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
echo " value=\"$id\">\n";

echo "<tr><td>Alue:";
if ($readonly) {
  echo "<td>"
    . tab_col_id("alue","",$alue_id)
    . "\n";
} else {
  echo "<td>\n";
  tee_valinta("alue_id", $alue_id, "alue", "id", "alue", "ORDER BY alue");
}

echo "<tr><td>Operaatio:";
if ($readonly) {
  echo "<td>"
    . tab_col_id("paivystys","nimi",$paivystys_id)
    . "\n";
} else {
  echo "<td>\n";
  tee_valinta("paivystys_id", $paivystys_id, "paivystys", "id", "nimi",
	      "ORDER BY nimi");
}

echo "<tr><td>Jrjest:";
if ($readonly) {
  echo "<td>"
  . ota_yksi("SELECT jarjesto FROM jarjesto WHERE id = $jarjesto_id")
  . "\n";
} else {
  echo "<td>\n";
  tee_valinta("jarjesto_id", $jarjesto_id, "jarjesto", "id",
	      "jarjesto", "ORDER BY jarjesto");
}

echo "<tr><td>Yhdyshenkil:";
if ($readonly) {
  echo "<td>"
  . ota_yksi_0("SELECT nimi FROM hlo WHERE id = $hlo_id",
	       $hlo_id, "EI KUKAAN")
  . "\n";
} else {
  echo "<td>\n";
  tee_valinta_plus_0("hlo_id", $hlo_id, "hlo", "id",
		     "nimi", "ORDER BY nimi", "EI MIKN");
  echo " Tai omistaja, ellei laitteelle ole mritelty jrjest";
}

echo "<tr><td>Mallimerkint:";
if ($readonly) {
  echo "<td>$XXX\n";
} else {
  echo "<td><input type=\"text\" name=\"XXX\" size=32 maxlength=32";
  echo " value=\"$XXX\">\n";
}

echo "<tr><td>Tunniste:";
if ($readonly) {
  echo "<td>$tunniste\n";
} else {
  echo "<td><input type=\"text\" name=\"tunniste\" size=32 maxlength=32";
  echo " value=\"$tunniste\"> Sarjanumero, puhelinnumero tai vastaava\n";
}

echo "<tr><td>Listietoja:";
if ($readonly) {
  echo "<td>$selite\n";
} else {
  echo "<td><input type=\"text\" name=\"selite\" size=64 maxlength=64";
  echo " value=\"$selite\">\n";
}

echo "<tr><td>Ensisijainen verkko:";
if ($readonly) {
  echo "<td>"
    . ota_yksi("SELECT verkko FROM verkko WHERE id = $verkko_id")
    . "\n";
} else {
  echo "<td>\n";
  tee_valinta("verkko_id", $verkko_id, "verkko", "id", "verkko",
	      "ORDER BY verkko");
}

echo "<tr><td>Ryhm:";
if ($readonly) {
  echo "<td>"
    . ota_yksi("SELECT kutsu FROM ryhma WHERE id = $ryhma_id")
    . "\n";
} else {
  echo "<td>\n";
  select_ryhma_full($ryhma_id);
}

echo "<tr><td>Merkitty:";
if ($readonly) {
  echo "<td>" . tab_col_id("juuei","",$merkitty) . "\n";
} else {
  echo "<td>\n";
  tee_valinta("merkitty", $merkitty, "juuei", "id", "juuei", "ORDER BY juuei");
}

echo "<tr><td>Vakuutettu:";
if ($readonly) {
  echo "<td>" . tab_col_id("juuei","",$vakuutettu) . "\n";
} else {
  echo "<td>\n";
  tee_valinta("vakuutettu", $vakuutettu, "juuei", "id", "juuei",
	      "ORDER BY juuei");
}

echo "<tr><td>Vara-akut:";
if ($readonly) {
  echo "<td>$vara_akut\n";
} else {
  echo "<td><input type=\"text\" name=\"vara_akut\" size=8 maxlength=8";
  echo " value=\"$vara_akut\"> Lukumr\n";
}

echo "<tr><td>Laitteen tyyppi:";
if ($readonly) {
  echo "<td>" . tab_col_id("XXX_tyyppi","",$XXX_tyyppi_id) . "\n";
} else {
  echo "<td>\n";
  tee_valinta("XXX_tyyppi_id", $XXX_tyyppi_id, "XXX_tyyppi", "id",
	      "XXX_tyyppi", "ORDER BY XXX_tyyppi");
}

echo "<tr><td>Palaute:";
if ($readonly) {
  echo "<td>$palaute\n";
} else {
  echo "<td><input type=\"text\" name=\"palaute\" size=64 maxlength=255";
  echo " value=\"$palaute\">\n";
}

echo "<tr><td>Lisvarusteet:";
if ($readonly) {
  echo "<td>$lisavarusteet\n";
} else {
  echo "<td><input type=\"text\" name=\"lisavarusteet\" size=64 maxlength=64";
  echo " value=\"$lisavarusteet\">\n";
}

echo "</table>\n";

if ($change != "") {
  echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo
      "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} else {
  echo "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$sql =
  "SELECT $table.id, $table.ts, $table.XXX, $table.tunniste, $table.selite,
          $table.lisavarusteet, alue_id, paivystys_id, jarjesto_id,
          hlo_id, verkko_id, ryhma_id, merkitty, vakuutettu, vara_akut,
          XXX_tyyppi_id, palaute
   FROM $table
   ORDER BY $table.XXX, $table.tunniste";
$result = my_mysql_query($sql);
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  echo tr_bgcolor()
    . "<TH>Id<TH>Aikaleima<TH>Malli<TH>Tunniste<TH>Selite<TH>List"
    . "<TH>Alue<TH>Operaatio<TH>Jrjest<TH>Henkil<TH>Verkko<TH>Ryhm"
    . "<TH>Merk<TH>Vak<TH>Akut<TH>Tyyppi<TH>Palaute\n";
  while ($a = mysql_fetch_array($result)) {
    # just skip those items we do not have permission to
    if (permission_tab($herja,$table,$a['id'],false) == 2)
      continue; 
    echo "<TR><TD>$a[id]",
      "<TD>$a[ts]",
      "<TD>$a[XXX]",
      "<TD>$a[tunniste]",
      "<TD>$a[selite]",
      "<TD>$a[lisavarusteet]",
      "<TD>" . tab_col_id("alue","",$a['alue_id']),
      "<TD>" . tab_col_id("paivystys","nimi",$a['paivystys_id']),
      "<TD>" . tab_col_id("jarjesto","",$a['jarjesto_id']),
      "<TD>" . tab_col_id_nobody("hlo","nimi",$a['hlo_id']),
      "<TD>" . tab_col_id("verkko","",$a['verkko_id']),
      "<TD>" . tab_col_id("ryhma","kutsu",$a['ryhma_id']),
      "<TD>" . tab_col_id("juuei","",$a['merkitty']),
      "<TD>" . tab_col_id("juuei","",$a['vakuutettu']),
      "<TD>$vara_akut",
      "<TD>" . tab_col_id("XXX_tyyppi","",$a['XXX_tyyppi_id']),
      "<TD>$a[palaute]";
    if ($id == "0") {
      echo "<td><a href=\"$file?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
      echo "<td><a href=\"$file?id=$a[id]&remove=POISTA\">POISTA</a>\n";
    }
  }
  echo "</TABLE>";
} else {
  echo "<p>Plop. Ei XXXtietoja.";
}

echo "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: pohja0.php,v 1.19 2009/05/04 05:17:31 riku Exp $ -->
