<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

include "common.php";

$eka = get_nro('eka');
$vika = get_nro('vika');
$conf = get_nro_1('conf');
if ($conf == 0)
  $reuna = 0;
else
  $reuna = 1;

echo
"<html>
  <head>
   <title>ViHa - Tapahtumapivkirja</title>
  </head> " . body_bgcolor() . "\n";

$maara =
  ota_yksi("SELECT COUNT(*)
            FROM taktinen_loki
            WHERE paivystys_id = " . s("paivystys"));
if (($eka == '') && ($vika == '')) {
  # oletus: 20 viimeist
  $nayta_kpl = 20;
  if ($nayta_kpl > $maara) { $nayta_kpl = $maara; }
  $offset = $maara - $nayta_kpl;
  $eka = $offset + 1;
  $vika = $eka + $nayta_kpl;
  if ($vika > $maara) { $vika = $maara; }
  print "<h1>" . ota_paivystys_nimi()
    . ", tapahtumapivkirja, 20 tuoreinta tapahtumaa</h1>";
} else {
  # annetut rivit
  if ($eka == '') { $eka = 1; }
  if ($eka < 1) { $eka = 1; }
  if ($vika == '') { $vika = 20; }
  if ($eka > $maara) { $eka = $maara; }
  if ($vika < $eka) { $vika = $eka; }
  $offset = $eka - 1;
  $nayta_kpl = $vika - $eka + 1;
  print "<h1>" . ota_paivystys_nimi()
    . ", tapahtumapivkirja, tapahtumat $eka - $vika</h1>";
}

if ($conf != 0)
  taktiset_linkit();

$nro = $offset + 1;
$result =
  my_mysql_query("SELECT *
                  FROM taktinen_loki
                  WHERE paivystys_id = " . s("paivystys") . "
                  ORDER BY ts
                  LIMIT $offset, $nayta_kpl");
if ($result) {
  echo "<p><TABLE BORDER=$reuna>\n";
  echo tr_bgcolor()
    . "<th>Nro<TH>Piv ja aika<TH>Tunnus<TH>Tapahtuma\n";
  while ($a = mysql_fetch_array($result)) {
    echo "<TR>",
      "<td>$nro",
      "<TD>" . vain_hhmm($a['ts']),
      "<TD>$a[user]",
      "<TD>$a[data]";
    $nro ++;
  }
  echo "</TABLE>";
} else {
  echo "<P>Plop. Ei lokia.";
}

if ($conf != 0) {
  print "<form action=\"\" method=\"GET\">";
  print "<p>Ensimminen tapahtuma on 1 ja viimeinen $maara.\n";
  print "<p>Nyt tapahtumat ";
  print "<input type=\"text\" name=\"eka\" size=8 maxlength=8";
  print " value=\"$eka\">\n";
  print " - ";
  print "<input type=\"text\" name=\"vika\" size=8 maxlength=8";
  print " value=\"$vika\">\n";
  print " ";
  print "<input type=\"submit\" name=\"show\" value=\"NYT RIVIT\">\n";
  print "</form>";

  echo "<h2>Tulosteet</h2>\n";

  echo "<p><a href=\"taktinen-loki.php?eka=1&vika=999999&conf=0\">"
    . "Tulostettava versio kaikista tapahtumista</a>\n";

  loppu();
    
 }

?>
</body> 
</html>
<!-- RCS $Id: taktinen-loki.php,v 1.8 2009/04/25 16:10:00 riku Exp $ -->
