<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

include "common.php";

# perustarkastuksia, ei ainoastaan kaksoiskappaleet.

function check_dupes($table, $field, $has_paivystys_alue)
{
  global $viat, $huom, $herjat, $huomautukset;
  $dupes = array();

  echo " Perustarkastus (kaksoiskappaleet yms):";
  if ($has_paivystys_alue)
    $sql = "SELECT id,alue_id,paivystys_id,$field FROM $table ORDER BY id";
  else
    $sql = "SELECT id,$field FROM $table ORDER BY id";
  $result = mysql_query($sql);
  while ($a = mysql_fetch_array($result)) {
    $a_id = $a['id'];
    $a_field = $a[$field];
    if ($has_paivystys_alue) {
      $a_paivystys_id = $a['paivystys_id'];
      $a_alue_id = $a['alue_id'];
    }
    echo " $a_id";
    # kaksoiskappaleet
    if ($has_paivystys_alue)
      $sql1 =
	"SELECT id
         FROM $table
         WHERE $field = '$a_field' AND id != $a_id
               AND (paivystys_id = $a_paivystys_id
                    OR (alue_id = $a_alue_id AND paivystys_id = 2)
                    OR alue_id = 2)";
    else
      $sql1 =
	"SELECT id
         FROM $table
         WHERE $field = '$a_field' AND id != $a_id";
    $dup = ota_yksi($sql1);
    if ($dup != '') {
      if (! isset($dupes[$a_id])) {
	$herjat =
	  $herjat . "<p>Kaksoiskappale taulussa $table: id:t $a_id, $dup";
	$viat ++;
	$dupes[$dup] = 1;
      }
      echo "<font color=red>V</font>";
    }
    # muut perustarkastukset
    if ($has_paivystys_alue) {
      $paivystys_alue_id = tab_col_id("paivystys","alue_id",$a_paivystys_id);
      if ($paivystys_alue_id == 0) {
	$herjat =
	  $herjat
	  . "<p>Taulussa $table tietueessa $a_id olevalle paivystys_id:lle "
	  . " $a_paivystys_id ei lydy operaatiota";
	$viat ++;
	echo "<font color=red>V</font>";
      }
      $alue_alue = tab_col_id("alue","",$a_alue_id);
      if ($alue_alue == '') {
	$herjat =
	  $herjat
	  . "<p>Taulussa $table tietueessa $a_id olevalle alue_id:lle "
	  . " $a_alue_id ei lydy aluetta";
	$viat ++;
	echo "<font color=red>V</font>";
      }
      if ($a_alue_id > 2 && $paivystys_alue_id > 2
	  && $a_alue_id != $paivystys_alue_id) {
	$herjat =
	  $herjat
	  . "<p>Taulussa $table tietueessa $a_id oleva alue_id "
	  . "$a_alue_id ja operaation $a_paivystys_id alue "
	  . "$paivystys_alue_id eivt tsm";
	$viat ++;
	echo "<font color=red>V</font>";
      }
    }
  }
  echo " tehty.";
  unset($dupes);
}

function check_existence($table)
{
  global $viat, $huom, $herjat;

  $sql = "SELECT * FROM $table";
  $result = mysql_query($sql);
  if (! $result) {
    $herjat = $herjat . "<p>Taulua $table ei lydy";
    echo " <font color=red>table</font>";
    $viat ++;
    return 0;
  }
  echo " $table";
  return 1;
}

function check_my_id_on_table_matched_to_n($my_id,$table,$n,$nc,$zero)
{
  global $viat, $huom, $herjat;

  if ($nc == '') { $nc = $n; }
  
  echo "<p>Tarkastetaan ett jokaiselle $my_id:lle lytyy vastine
$n-taulusta:";
  $sql = "SELECT DISTINCT $my_id FROM $table ORDER BY $my_id";
  $result = mysql_query($sql);
  while ($a = mysql_fetch_array($result)) {
    $a_my_id = $a[$my_id];
    echo " $a_my_id";
    if ($zero != '') {
      $ryhma = ota_yksi_0 ("SELECT $nc FROM $n WHERE id = $a_my_id",
			   $a_my_id, $zero);
    } else {
      $ryhma = ota_yksi ("SELECT $nc FROM $n WHERE id = $a_my_id");
    }
    if ($ryhma == '') {
      $herjat = $herjat
	. "<p>VIKA: Taulussa $table olevalle $my_id:lle
$a_my_id ei lydy vastinetta taulusta $n";
      echo "<font color=red>V</font>";
      $viat ++;
    }
  }
  echo " tehty.\n";
}

# $table taulu jonka saraketta $n . "_id" tarkastellaan
# $n taulu, johon n_id viittaa
# $nc tekstisarake taulussa $n, jos tyhj => $n
# $zero != '' => nolla-arvo on ok

function check_n_id_on_table_matched_to_n($table,$n,$nc,$zero) {
  return 
    check_my_id_on_table_matched_to_n($n . "_id",$table,$n,$nc,$zero);
}

echo "
<html>
<head>
 <title>VIHA - Tietokannan tarkastus</title>
</head>
" . body_bgcolor() . "
";

echo "<h1>Tietokannan tarkastus</h1>\n";

hallinnolliset_linkit();

$viat = 0;
$huom = 0;
$herjat = '';
$huomautukset = '';

# tarkastetaan kaikkien taulujen olemassaolo
# samassa jrjestyksess kuin CREATE TABLE - lauseet kanta.mysql:ss.

echo "<h2>Taulujen olemassaolo</h2>\n";
echo "<p>Tarkastetaan taulujen olemassaolo:";

$table_kayttajat_paivystys = check_existence("kayttajat_paivystys");
$table_kayttajat_alue = check_existence("kayttajat_alue");
$table_kayttajat = check_existence("kayttajat");
$table_alue = check_existence("alue");
$table_paivystys = check_existence("paivystys");
$table_paikka = check_existence("paikka");
$table_verkko = check_existence("verkko");
$table_ryhma_tila = check_existence("ryhma_tila");
$table_ryhma = check_existence("ryhma");
$table_paivystys_tuki = check_existence("paivystys_tuki");
$table_jarjesto = check_existence("jarjesto");
$table_hlo_tila = check_existence("hlo_tila");
$table_hlo_ajat_tyyppi = check_existence("hlo_ajat_tyyppi");
$table_hlo_ajat = check_existence("hlo_ajat");
$table_hlo_asema = check_existence("hlo_asema");
$table_hlo = check_existence("hlo");
$table_tap = check_existence("tap");
$table_lapsi_tila = check_existence("lapsi_tila");
$table_kadonnut = check_existence("kadonnut");
$table_loytynyt = check_existence("loytynyt");
$table_loki = check_existence("loki");
$table_taktinen_loki = check_existence("taktinen_loki");
$table_suoja = check_existence("suoja");
$table_laite_tyyppi = check_existence("laite_tyyppi");
$table_laite = check_existence("laite");
$table_tavara_tyyppi = check_existence("tavara_tyyppi");
$table_tavara = check_existence("tavara");
$table_juuei = check_existence("juuei");

echo " tehty.\n";

$table = "kayttajat_paivystys";
echo "<h2>Taulu $table</h2>\n";
if ($table_kayttajat_paivystys) {
  if ($table_kayttajat) {
    check_n_id_on_table_matched_to_n($table,"kayttajat","username","");
  }
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","");
  }
}

$table = "kayttajat_alue";
echo "<h2>Taulu $table</h2>\n";
if ($table_kayttajat_alue) {
  if ($table_kayttajat) {
    check_n_id_on_table_matched_to_n($table,"kayttajat","username","");
  }
  if ($table_alue) {
    check_n_id_on_table_matched_to_n($table,"alue","alue","");
  }
}

$table = "kayttajat";
echo "<h2>Taulu $table</h2>\n";
if ($table_kayttajat) {
  check_dupes($table, "username", false);
  if ($table_hlo) {
    check_n_id_on_table_matched_to_n($table,"hlo","nimi","NOLLA");
  }
}

$table = "alue";
echo "<h2>Taulu $table</h2>\n";
if ($table_alue) {
  check_dupes($table, "alue", false);
}

$table = "paivystys";
echo "<h2>Taulu $table</h2>\n";
if ($table_paivystys) {
  check_dupes($table, "nimi", false);
  if ($table_alue) {
    check_n_id_on_table_matched_to_n($table,"alue","alue","");
  }
  if ($table_verkko) {
    echo "<p>Tarkastetaan ett jokaiselle oletus_verkko_id:lle lytyy vastine
verkko-taulusta:";
    $sql = "
SELECT DISTINCT oletus_verkko_id
FROM $table
ORDER BY oletus_verkko_id";
    $result = mysql_query($sql);
    while ($a = mysql_fetch_array($result)) {
      $a_oletus_verkko_id = $a['oletus_verkko_id'];
      echo " $a_oletus_verkko_id";
      $verkko
	= ota_yksi ("SELECT verkko FROM verkko WHERE id = $a_oletus_verkko_id");
      if ($verkko == '') {
	$herjat = $herjat
	  . "<p>VIKA: Taulussa $table olevalle oletus_verkko_id:lle
$a_oletus_verkko_id ei lydy vastinetta taulusta verkko";
	echo "<font color=red>V</font>";
	$viat ++;
      }
    }
    echo " tehty.\n";
  }
}

$table = "paikka";
echo "<h2>Taulu $table</h2>\n";
if ($table_paikka) {
  check_dupes($table, "paikka", true);
}

$table = "verkko";
echo "<h2>Taulu $table</h2>\n";
if ($table_verkko) {
  check_dupes($table, "verkko", false);
}

$table = "ryhma_tila";
echo "<h2>Taulu $table</h2>\n";
if ($table_ryhma_tila) {
  check_dupes($table, "ryhma_tila", true);
}

$table = "ryhma";
echo "<h2>Taulu $table</h2>\n";
if ($table_ryhma) {
  check_dupes($table, "kutsu", true);
  if ($table_paikka) {
    check_n_id_on_table_matched_to_n($table,"paikka","","");
  }
  if ($table_ryhma_tila) {
    check_n_id_on_table_matched_to_n($table,"ryhma_tila","","");
  }
  if ($table_verkko) {
    check_n_id_on_table_matched_to_n($table,"verkko","","");
  }
  if ($table_hlo) {
    echo "
<p>Tarkastetaan ett jokaiseen ryhmn kuuluu vhintn yksi henkil:";
    $sql = "SELECT id FROM ryhma ORDER BY id";
    $result = mysql_query($sql);
    while ($a = mysql_fetch_array($result)) {
      $a_id = $a['id'];
      echo " $a_id";
      $ryhma = ota_yksi ("SELECT COUNT(id) FROM hlo WHERE ryhma_id = $a_id");
      if (($ryhma == 0) && ($a_id != 1)) {
	$huomautukset = $huomautukset
	  . "<p>Ryhmss numero $a_id ei ole yhtn jsent";
	echo "<font color=blue>H</font>";
	$huom ++;
      }
    }
    echo " tehty.\n";
  }
}

# XXX paivystys_tuki

$table = "jarjesto";
echo "<h2>Taulu $table</h2>\n";
if ($table_jarjesto) {
  check_dupes($table, "jarjesto", false);
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
}

$table = "hlo_tila";
echo "<h2>Taulu $table</h2>\n";
if ($table_hlo_tila) {
  check_dupes($table, "hlo_tila", true);
}

# XXX hlo_ajat_tyyppi

# XXX hlo_ajat

$table = "hlo_asema";
echo "<h2>Taulu $table</h2>\n";
if ($table_hlo_asema) {
  check_dupes($table, "hlo_asema", false);
}

$table = "hlo";
echo "<h2>Taulu $table</h2>\n";
if ($table_hlo) {
  check_dupes($table, "nimi", true);
  if ($table_ryhma) {
    check_n_id_on_table_matched_to_n($table,"ryhma","kutsu","");
  }
  if ($table_hlo_tila) {
    check_n_id_on_table_matched_to_n($table,"hlo_tila","","");
  }
  if ($table_hlo_asema) {
    check_n_id_on_table_matched_to_n($table,"hlo_asema","","");
  }
  if ($table_jarjesto) {
    check_n_id_on_table_matched_to_n($table,"jarjesto","","");
  }
}

$table = "tap";
echo "<h2>Taulu $table</h2>\n";
if ($table_tap) {
  if ($table_alue) {
    check_n_id_on_table_matched_to_n($table,"alue","alue","");
  }
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","");
  }
  # XXX alue vs paivystys
  if ($table_ryhma) {
    check_n_id_on_table_matched_to_n($table,"ryhma","kutsu","");
  }
}

$table = "lapsi_tila";
echo "<h2>Taulu $table</h2>\n";
if ($table_lapsi_tila) {
  check_dupes($table, "lapsi_tila", false);
}

$table = "kadonnut";
echo "<h2>Taulu $table</h2>\n";
if ($table_kadonnut) {
  if ($table_alue) {
    check_n_id_on_table_matched_to_n($table,"alue","alue","");
  }
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","");
  }
  if ($table_lapsi_tila) {
    check_n_id_on_table_matched_to_n($table,"lapsi_tila","","");
  }
}

$table = "loytynyt";
echo "<h2>Taulu $table</h2>\n";
if ($table_loytynyt) {
  if ($table_alue) {
    check_n_id_on_table_matched_to_n($table,"alue","alue","");
  }
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
  if ($table_lapsi_tila) {
    check_n_id_on_table_matched_to_n($table,"lapsi_tila","","");
  }
}

$table = "loki";
echo "<h2>Taulu $table</h2>\n";
if ($table_loki) {
  if ($table_alue) {
    check_n_id_on_table_matched_to_n($table,"alue","alue","");
  }
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
}

$table = "taktinen_loki";
echo "<h2>Taulu $table</h2>\n";
if ($table_taktinen_loki) {
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","NOLLA");
  }
}

# suoja

$table = "laite_tyyppi";
echo "<h2>Taulu $table</h2>\n";
if ($table_laite_tyyppi) {
  check_dupes($table, "laite_tyyppi", false);
}

$table = "laite";
echo "<h2>Taulu $table</h2>\n";
if ($table_laite) {
  if ($table_alue) {
    check_n_id_on_table_matched_to_n($table,"alue","alue","");
  }
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","");
  }
  if ($table_jarjesto) {
    check_n_id_on_table_matched_to_n($table,"jarjesto","","");
  }
  if ($table_hlo) {
    check_n_id_on_table_matched_to_n($table,"hlo","nimi","NOLLA");
  }
  if ($table_verkko) {
    check_n_id_on_table_matched_to_n($table,"verkko","","");
  }
  if ($table_ryhma) {
    check_n_id_on_table_matched_to_n($table,"ryhma","kutsu","");
  }
  if ($table_juuei) {
    check_my_id_on_table_matched_to_n("merkitty",$table,"juuei","","");
  }
  if ($table_juuei) {
    check_my_id_on_table_matched_to_n("vakuutettu",$table,"juuei","","");
  }
  if ($table_laite_tyyppi) {
    check_n_id_on_table_matched_to_n($table,"laite_tyyppi","","");
  }
}

$table = "tavara_tyyppi";
echo "<h2>Taulu $table</h2>\n";
if ($table_tavara_tyyppi) {
  check_dupes($table, "tavara_tyyppi", false);
}

$table = "tavara";
echo "<h2>Taulu $table</h2>\n";
if ($table_tavara) {
  if ($table_alue) {
    check_n_id_on_table_matched_to_n($table,"alue","alue","");
  }
  if ($table_tavara_tyyppi) {
    check_n_id_on_table_matched_to_n($table,"tavara_tyyppi","","");
  }
  if ($table_paivystys) {
    check_n_id_on_table_matched_to_n($table,"paivystys","nimi","");
  }
  if ($table_jarjesto) {
    check_n_id_on_table_matched_to_n($table,"jarjesto","","");
  }
  if ($table_hlo) {
    check_n_id_on_table_matched_to_n($table,"hlo","nimi","NOLLA");
  }
  if ($table_ryhma) {
    check_n_id_on_table_matched_to_n($table,"ryhma","kutsu","");
  }
  if ($table_juuei) {
    check_my_id_on_table_matched_to_n("merkitty",$table,"juuei","","");
  }
  if ($table_juuei) {
    check_my_id_on_table_matched_to_n("vakuutettu",$table,"juuei","","");
  }
}

if ($herjat == '') {
  echo "<h1><font color=green>Ei virheilmoituksia</font></h1>";
} else {
  echo "<h1><font color=red>Virheilmoitukset</font></h1>";
  echo $herjat;
}

if ($huomautukset == '') {
  echo "<h1><font color=green>Ei huomautuksia</font></h1>";
} else {
  echo "<h1><font color=blue>Huomautukset</font></h1>";
  echo $huomautukset;
}

loppu();

?>
</body> 
</html>
<!-- RCS $Id: tarkasta-kanta.php,v 1.25 2009/06/06 06:34:50 riku Exp $ -->
