<?php

# Copyright (C) 2009 Riku Kalinen
# License conditions in the file lisenssi.html
# Lisenssiehdot tiedostossa lisenssi.html

$file = basename(__FILE__);

include "common.php";

echo "
<html>
<head>
 <title>VIHA - Laaja tilanne</title>
</head>
" . body_bgcolor() . "
";

$table = "ryhma";

$id = get_nro('id');

oltava_nakyvilla($file, $table, $id);

$conf = get_nro('conf');
if ($conf == '') {
  $conf = s('tilanne-taysi-conf');
} else {
  $_SESSION[$prefix . 'tilanne-taysi-conf'] = $conf;
}

switch ($conf) {
 case 10:
   $hide_finished = true;
   break;
 default:
   $hide_finished = false;
 }

# ei kuitenkaan piiloteta jos kyttj haluaa nhd vain yhden
if ($id != '')
  $hide_finished = false;

$now = date('Y-m-d H:i:s');

echo "<h1>" . ota_paivystys_nimi() . ", laaja tilanne, $now</h1>\n";

taktiset_linkit();

echo "<h2>Ryhmt";
if ($hide_finished) echo ", lopettaneet piilotettu";
echo "</h2>\n";
echo "<p>Oletusverkko: " . ota_oletus_verkko()
. ", vahvuus " . ota_vahvuus(s('paivystys'))
. " joista paikalla " . ota_paikalla(s('paivystys'));
if ($id != '') $id_sql = "ryhma.id = $id AND";
if ($hide_finished) $id_sql .= " ryhma_tila_id != 12 AND ";
$sql =
  "SELECT ryhma.id,kutsu,ryhma.ts,ryhma_tila,paikka,puhelin,ryhma.selite,
          koordinaatit,verkko
   FROM ryhma,paikka,ryhma_tila,verkko
   WHERE $id_sql ryhma_tila_id = ryhma_tila.id AND paikka_id = paikka.id
         AND verkko_id = verkko.id
         AND (ryhma.paivystys_id = " . s("paivystys") . "
              OR (ryhma.alue_id = " . s("alue") . "
                  AND ryhma.paivystys_id = 2)
              OR ryhma.alue_id = 2)
   ORDER BY pri";
$result = my_mysql_query($sql);
if ($result) {
  echo "<table border=1>\n";
  echo "<tr valign=top><th>Ryhm [V]<br>Nimi"
    . "<th>Muutettu"
    . "<th>Tila"
    . "<th>Sijainti [K]<br>Asema"
    . "<th>Selite<br>Listieto<br>Kirjaus"
    . "<th>Puhelin\n";
  while ($a = mysql_fetch_array($result)) {
    $a_id = $a['id'];
    echo tr_bgcolor()
      . "<TD><a href=\"tilanne-taysi.php?id=$a_id\">$a[kutsu]"
      . muotoile_verkko($a['verkko'], $a['id'])
      . "</a>",
      "<TD align=right>" . vain_hhmm($a['ts']),
      "<td><a href=\"ryhma-takt-1.php?id=$a_id\">$a[ryhma_tila]</a>",
      "<TD>$a[paikka]", muotoile_koordinaatit($a['koordinaatit']),
      "<TD>$a[selite]",
      "<TD>$a[puhelin]",
      "<td><a href=\"toimintaryhman-kortti.php?id=$a_id\">KORTTI</a>\n";
    # ryhmn kuuluvat henkilt
    # (nist valitaan vain thn tai 0-pivystykseen kuuluvat)
    $sql1 =
      "SELECT hlo.id,hlo.ts,hlo_tila.hlo_tila,hlo.ra,hlo.puhelin,hlo.nimi,
              hlo_asema
       FROM hlo, hlo_tila, hlo_asema
       WHERE hlo.ryhma_id = $a_id
             AND hlo.hlo_tila_id = hlo_tila.id
             AND hlo.hlo_asema_id = hlo_asema.id
             AND hlo.paivystys_id = " . s("paivystys") . "
       ORDER BY hlo_asema.pri, hlo.nimi";
    $result1 = my_mysql_query($sql1);
    while ($b = mysql_fetch_array($result1)) {
      $b_id = $b['id'];
      echo "<tr><td>  $b[nimi]",
	"<TD align=right>" . vain_hhmm($b['ts']),
	"<td><a href=\"hlo-takt-1.php?id=$b_id\">$b[hlo_tila]</a>",
	"<td>$b[hlo_asema]",
	"<td>$b[ra]",
	"<td>$b[puhelin]",
	"\n";
    }
    # ryhmn kuuluvat kirjaukset
    $sql1 = "SELECT ts, tap FROM tap" .
      " WHERE ryhma_id = $a_id ORDER BY ts";
    $result1 = my_mysql_query($sql1);
    while ($b = mysql_fetch_array($result1)) {
      echo "<tr><td>",
	"<TD align=right>" . vain_hhmm($b['ts']),
	"<td><td><td>$b[tap]<td>\n";
    }
  }
  echo "</TABLE>";
 } else {
  echo "<P>Plop. Ei ryhmtietoja.";
 }

echo "<h2>Tulosteet</h2>\n";

echo "<p><a href=\"tyotunnit.php?conf=0\">"
    . "Tytunnit</a>\n";

echo "
<h2>Vaihtoehtoisia nkymi thn sivuun</h2>
<ul>
<li><a href=\"$file?conf=0\">
 Nyt lopettaneet (oletus).
 </a>
<li><a href=\"$file?conf=10\">
 Piilota lopettaneet.
 </a>
</ul>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: tilanne-taysi.php,v 1.11 2009/04/18 16:06:56 riku Exp $ -->
